'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const ButtonGroup = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
    /**
     * `auto` will position the button items vertical and full width.
     * `row` will force that the buttons are also horizontal on mobile.
     */
    this.direction = 'auto';
    /**
     * If `true` the flex direction is used in reverse on mobile.
     */
    this.reverse = false;
  }
  render() {
    const block = bem.BEM.block('button-group');
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier(`position-${this.position}`).class()), block.modifier(`direction-${this.direction}`).class()) }, index.h("div", { class: {
        'field': true,
        'is-grouped': true,
        'is-reverse': this.reverse,
        [`has-direction-${this.direction}`]: true,
      } }, index.h("slot", null))));
  }
};

exports.bal_button_group = ButtonGroup;
