'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const CardButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Name of the icon like `edit`.
     */
    this.icon = '';
    /**
     * The type of button.
     */
    this.elementType = 'button';
    /**
     * If `true`, the user cannot interact with the button.
     */
    this.disabled = false;
    /**
     * Specifies where to display the linked URL.
     * Only applies when an `href` is provided.
     */
    this.target = '_self';
    /**
     * Name of the right button icon
     */
    this.iconRight = '';
    /**
     * If `true` the label is hidden and a loading spinner is shown instead.
     */
    this.loading = false;
  }
  render() {
    return (index.h(index.Host, { class: "bal-card-button" }, index.h("bal-button", { color: "info", expanded: true, "bottom-rounded": true, icon: this.icon, iconRight: this.iconRight, elementType: this.elementType, disabled: this.disabled, href: this.href, target: this.target, loading: this.loading }, index.h("slot", null))));
  }
};

exports.bal_card_button = CardButton;
