'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const helpers = require('./helpers-c4f9304b.js');
const bem = require('./bem-5d122a5c.js');

const Close = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.inheritedAttributes = {};
    /**
     * Define the size of badge. Small is recommended for tabs.
     */
    this.size = '';
    /**
     * If `true` it supports dark backgrounds.
     */
    this.inverted = false;
  }
  componentWillLoad() {
    this.inheritedAttributes = helpers.inheritAttributes(this.el, ['tabindex']);
  }
  render() {
    const blockEl = bem.BEM.block('close');
    const buttonEl = blockEl.element('button');
    const iconEl = buttonEl.element('icon');
    return (index.h(index.Host, { class: Object.assign({}, blockEl.class()) }, index.h("button", Object.assign({ type: "button", "aria-label": "close", class: Object.assign(Object.assign(Object.assign({}, buttonEl.class()), buttonEl.modifier('inverted').class(this.inverted)), buttonEl.modifier(`size-${this.size}`).class(this.size !== '')) }, this.inheritedAttributes), index.h("bal-icon", { name: "close", size: this.size === 'small' ? 'xsmall' : this.size === 'medium' ? 'medium' : 'small', inverted: this.inverted, class: Object.assign({}, iconEl.class()) }))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_close = Close;
