'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const index$1 = require('./index-0650a13c.js');
const bem = require('./bem-5d122a5c.js');

const DataValue = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.balClick = index.createEvent(this, "balClick", 7);
    this.balFocus = index.createEvent(this, "balFocus", 7);
    this.balBlur = index.createEvent(this, "balBlur", 7);
    /**
     * If `true` a small button with a edit icon will be shown on the right.
     */
    this.editable = false;
    /**
     * If `true` the button will get disabled.
     */
    this.disabled = false;
    /**
     * If `true` the text will break and the height of the item increases.
     */
    this.multiline = false;
  }
  onClickHandler(event) {
    this.balClick.emit(event);
    const input = this.el.querySelector('bal-input');
    if (!index$1.lodash_isnil(input)) {
      input.setFocus();
    }
  }
  render() {
    const element = bem.BEM.block('data-value');
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, element.class()), element.modifier('is-editable').class(this.editable)), element.modifier('is-multiline').class(this.multiline)) }, index.h("div", null, index.h("slot", null)), index.h("bal-button", { class: "bal-data-value-btn", square: true, outlined: true, color: "text", size: "small", icon: "edit", disabled: this.disabled, onBalBlur: _ => this.balBlur.emit(), onBalFocus: _ => this.balFocus.emit(), onClick: ev => this.onClickHandler(ev) })));
  }
  get el() { return index.getElement(this); }
};

exports.bal_data_value = DataValue;
