'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const Data = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` a bottom border is added to the data-item.
     */
    this.border = false;
    /**
     * If `true` the data list is horizontal instead of vertical.
     */
    this.horizontal = false;
    this.inputElements = ['bal-data-item'];
  }
  borderHandler() {
    this.updateProps([...this.inputElements], 'border');
  }
  updateProps(selectors, key) {
    const value = this[key];
    if (value !== undefined) {
      this.notifyComponents(selectors, input => (input[key] = value));
    }
  }
  notifyComponents(selectors, callback) {
    const components = this.element.querySelectorAll(selectors.join(', '));
    components.forEach((c) => callback(c));
  }
  componentWillLoad() {
    this.borderHandler();
  }
  render() {
    const block = bem.BEM.block('data');
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier('has-border').class(this.border)), block.modifier('is-horizontal').class(this.horizontal)) }, index.h("slot", null)));
  }
  get element() { return index.getElement(this); }
  static get watchers() { return {
    "border": ["borderHandler"]
  }; }
};

exports.bal_data = Data;
