'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const FieldControl = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Baloise icon for the right side of the input
     */
    this.iconRight = '';
    /**
     * Baloise icon for the left side of the input
     */
    this.iconLeft = '';
    /**
     * If `true` on mobile devices the form control children are aligned verticaly and expanded to the full width
     */
    this.expandedOnMobile = undefined;
    /**
     * If `true` a loading spinner is visible at the end of the input
     */
    this.loading = false;
  }
  get buildIconLeftTemplate() {
    if (this.iconLeft) {
      return index.h("bal-icon", { name: this.iconLeft, color: "info", class: "is-left", size: "small" });
    }
    return '';
  }
  get buildIconRightTemplate() {
    if (this.iconRight) {
      return index.h("bal-icon", { name: this.iconRight, color: "info", class: "is-right", size: "small" });
    }
    return '';
  }
  render() {
    return (index.h(index.Host, { class: {
        'bal-field-control': true,
        'control': true,
        'has-icons-left': !!this.iconLeft,
        'has-icons-right': !!this.iconRight || this.loading,
        'is-loading': this.loading,
        'bal-field-control--expanded-on-mobile': !!this.expandedOnMobile,
      } }, index.h("slot", null), this.buildIconLeftTemplate, this.buildIconRightTemplate));
  }
};

exports.bal_field_control = FieldControl;
