'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const index_esm = require('./index.esm-f7817a8f.js');
const index$1 = require('./index-e042d4b5.js');
const bem = require('./bem-5d122a5c.js');
const initialize = require('./initialize-a2a400ed.js');
require('./index-0650a13c.js');
require('./_commonjsHelpers-bcc1208a.js');

const Footer = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.links = [];
    this.language = initialize.defaultConfig.language;
    this.region = initialize.defaultConfig.region;
    this.allowedLanguages = initialize.defaultConfig.allowedLanguages;
    /**
     * @deprecated The languages in which the links will appear.
     */
    this.locale = '';
    /**
     * If `true` the legal Baloise links will be hidden.
     */
    this.hideLinks = false;
    /**
     * If `true` the language selection will be hidden.
     */
    this.hideLanguageSelection = false;
  }
  disconnectedCallback() {
    index$1.detachComponentToConfig(this);
  }
  connectedCallback() {
    index$1.attachComponentToConfig(this);
    this.updateFooterLinks();
  }
  configChanged(config) {
    this.language = config.language;
    this.region = config.region;
    this.allowedLanguages = config.allowedLanguages;
    this.updateFooterLinks();
  }
  watchLocaleHandler() {
    if (this.locale !== '') {
      this.language = this.locale;
      this.updateFooterLinks();
    }
  }
  changeLanguage(language) {
    index$1.updateBalLanguage(language);
  }
  updateFooterLinks() {
    if (!this.hideLinks && this.region === 'CH') {
      // The following footer links only apply to swiss applications
      index_esm.loadFooterLinks(new index_esm.Language(this.language)).then(links => (this.links = links));
    }
  }
  render() {
    const block = bem.BEM.block('footer');
    const elInner = block.element('inner');
    const elContainer = elInner.element('container');
    const elLinksContainer = elInner.element('links-container');
    const elLegalLinks = elLinksContainer.element('legal-links');
    const elLanguageLinks = elLinksContainer.element('language-links');
    return (index.h(index.Host, { class: Object.assign({}, block.class()) }, index.h("footer", { class: Object.assign({}, elInner.class()) }, index.h("slot", null), index.h("div", { class: Object.assign(Object.assign({ container: true }, elContainer.class()), elLinksContainer.class()) }, index.h("div", { class: Object.assign(Object.assign({}, elLegalLinks.class()), { 'pt-4': true }), style: { display: this.hideLinks ? 'none' : 'flex' } }, this.links.map(link => (index.h("a", { class: {
        'is-link': true,
        'is-inverted': true,
        'pr-4': true,
      }, href: link.link, target: "_blank" }, link.label)))), index.h("div", { class: Object.assign(Object.assign({}, elLanguageLinks.class()), { 'pt-4': true }), style: {
        display: this.hideLanguageSelection || this.allowedLanguages.length <= 1 ? 'none' : 'flex',
      } }, this.allowedLanguages.map(lang => (index.h("a", { class: [
        'is-link',
        'is-inverted',
        'pr-4',
        this.language.toLowerCase() == lang.toLowerCase() ? 'is-current' : '',
      ].join(' '), onClick: () => this.changeLanguage(lang) }, lang.toUpperCase()))))))));
  }
  static get watchers() { return {
    "locale": ["watchLocaleHandler"]
  }; }
};

exports.bal_footer = Footer;
