'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const form = require('./form-4296ccd3.js');

const Form = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` a native form element is added as a wrapper of the slot.
     */
    this.native = false;
    /**
     * If `true` it adds the novalidate attribute to the native form element.
     */
    this.novalidate = false;
  }
  /**
   * Scrolls to the first invalid field inside this form component.
   */
  async scrollToFirstInvalidField() {
    form.scrollToFirstInvalidField({ formEl: this.el });
  }
  render() {
    const NativeEl = this.native ? 'form' : 'div';
    let attrs = {};
    if (this.native) {
      attrs = {
        novalidate: this.novalidate,
      };
    }
    return (index.h(index.Host, null, index.h(NativeEl, Object.assign({}, attrs), index.h("slot", null))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_form = Form;
