'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const InputGroup = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` the component gets a invalid style.
     */
    this.invalid = false;
    /**
     * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
     */
    this.disabled = false;
    /**
     * If `true` the element can not mutated, meaning the user can not edit the control.
     */
    this.readonly = false;
  }
  render() {
    const block = bem.BEM.block('input-group');
    const dangerClass = 'is-danger';
    const hasDanger = this.invalid;
    const disabledClass = 'is-disabled';
    const hasDisabled = this.disabled || this.readonly;
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier(dangerClass).class(hasDanger)), block.modifier(disabledClass).class(hasDisabled)) }, index.h("slot", null)));
  }
  get el() { return index.getElement(this); }
};

exports.bal_input_group = InputGroup;
