'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const helpers = require('./helpers-c4f9304b.js');
const bem = require('./bem-5d122a5c.js');

const NavbarMenu = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.isMenuActive = false;
    /**
     * @internal
     * Defines the type of navbar. App is used for almost every web applications
     * like the portal app. For our sales funnel we recommend to use the simple navbar.
     * Meta and main are used for the website.
     */
    this.interface = 'app';
  }
  /**
   * @internal - If the menu is open it closes it and the other way around.
   */
  async toggle(isMenuActive) {
    this.isMenuActive = isMenuActive;
    const tabsElement = this.element.querySelector('bal-tabs');
    if (tabsElement) {
      await helpers.deepReady(tabsElement);
      tabsElement.renderLine();
    }
  }
  render() {
    const menuEl = bem.BEM.block('navbar').element('menu');
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, menuEl.class()), menuEl.modifier('active').class(this.isMenuActive)), menuEl.modifier(`context-${this.interface}`).class()) }, index.h("slot", null)));
  }
  get element() { return index.getElement(this); }
};

exports.bal_navbar_menu = NavbarMenu;
