'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const level_utils = require('./level.utils-3d220835.js');

const NavigationLevelBlock = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.balClick = index.createEvent(this, "balClick", 7);
    this.label = '';
    this.value = `block-value-${navigationLevelBlockIds++}`;
    this.color = 'white';
    this.link = undefined;
    this.linkLabel = undefined;
    this.target = '_self';
  }
  async getLevelInfo() {
    const subLevels = await level_utils.readSubLevels(this.el, 'bal-navigation-level-block-item');
    return {
      type: 'block',
      value: this.value,
      label: this.label,
      link: this.link,
      target: this.target,
      linkLabel: this.linkLabel,
      color: this.color,
      subLevels,
      onClick: (event) => this.balClick.emit(event),
    };
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
  get el() { return index.getElement(this); }
};
let navigationLevelBlockIds = 0;

exports.bal_navigation_level_block = NavigationLevelBlock;
