'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const level_utils = require('./level.utils-3d220835.js');

const NavigationLevelMeta = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.balClick = index.createEvent(this, "balClick", 7);
    this.label = '';
    this.value = `meta-value-${navigationLevelMetaIds++}`;
  }
  async getLevelInfo() {
    const subLevels = await level_utils.readSubLevels(this.el, 'bal-navigation-level-main');
    return {
      type: 'meta',
      value: this.value,
      label: this.label,
      link: this.link,
      linkLabel: this.linkLabel,
      isTabLink: this.isTabLink,
      subLevels,
      onClick: (event) => this.balClick.emit(event),
    };
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
  get el() { return index.getElement(this); }
};
let navigationLevelMetaIds = 0;

exports.bal_navigation_level_meta = NavigationLevelMeta;
