'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');
const platform = require('./platform-14f86172.js');

const NavigationMenuList = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Color of the menu list card background
     */
    this.color = 'white';
    /**
     * Target of the menu list card headline target as link
     */
    this.target = '_self';
    this.setHeadingLevel = () => {
      if (platform.isPlatform('touch')) {
        this.headingLevel = 'h4';
        return;
      }
      this.headingLevel = 'h3';
    };
  }
  async resizeHandler() {
    this.setHeadingLevel();
  }
  connectedCallback() {
    this.setHeadingLevel();
  }
  render() {
    const navMenuListEl = bem.BEM.block('nav').element('menu').element('list');
    return (index.h(index.Host, { class: Object.assign(Object.assign({}, navMenuListEl.class()), navMenuListEl.modifier(`context-${this.color}`).class()) }, index.h("bal-card", { class: Object.assign({}, navMenuListEl.element('card').class()), flat: true, color: this.color === 'grey' ? this.color : '' }, index.h("bal-card-content", null, this.href ? (index.h("a", { href: this.href, target: this.target }, index.h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline))) : (index.h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline)), index.h("slot", { name: "links" })))));
  }
};

const NavigationMenuListItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.target = '_self';
  }
  render() {
    const navMenuListItemEl = bem.BEM.block('nav').element('menu').element('list').element('item');
    return (index.h(index.Host, { class: Object.assign({}, navMenuListItemEl.class()) }, index.h("a", { class: Object.assign({}, navMenuListItemEl.element('link').class()), href: this.href, target: this.target }, index.h("slot", null))));
  }
};

exports.bal_navigation_menu_list = NavigationMenuList;
exports.bal_navigation_menu_list_item = NavigationMenuListItem;
