'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const ProductSliderItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.balNavigate = index.createEvent(this, "balNavigate", 7);
    this.balFocus = index.createEvent(this, "balFocus", 7);
    this.balBlur = index.createEvent(this, "balBlur", 7);
    this.inputId = `bal-product-slider-item-${productSliderItemId++}`;
    /**
     * The type of button.
     */
    this.elementType = 'button';
    /**
     * The name of the button, which is submitted with the form data.
     */
    this.name = '';
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.value = '';
    /**
     * Specifies where to display the linked URL.
     * Only applies when an `href` is provided.
     */
    this.target = '_self';
    this.onClick = (event) => {
      if (this.href !== undefined) {
        this.balNavigate.emit(event);
      }
    };
    this.onFocus = () => {
      this.balFocus.emit();
    };
    this.onBlur = () => {
      this.balBlur.emit();
    };
  }
  render() {
    const { elementType, download, href, rel, target, name, value } = this;
    const TagType = this.href === undefined ? 'button' : 'a';
    const attrs = TagType === 'button'
      ? { type: elementType, name, value }
      : {
        download,
        href,
        rel,
        target,
      };
    const block = bem.BEM.block('product-slider-item');
    const button = block.element('button');
    const image = button.element('image');
    const label = button.element('label');
    return (index.h(index.Host, { "aria-id": this.inputId, class: Object.assign({}, block.class()) }, index.h(TagType, Object.assign({}, attrs, { class: Object.assign(Object.assign({}, button.class()), button.modifier(`color-${this.color}`).class()), part: "native", onFocus: this.onFocus, onBlur: this.onBlur, onClick: this.onClick }), this.src !== undefined ? index.h("img", { class: Object.assign({}, image.class()), src: this.src }) : '', this.label !== undefined ? index.h("span", { class: Object.assign(Object.assign({}, label.class()), { 'is-bold': true }) }, this.label) : '', index.h("slot", null))));
  }
};
let productSliderItemId = 0;

exports.bal_product_slider_item = ProductSliderItem;
