'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const StageBackLink = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` adds a text shadow to improve readability on image background
     * */
    this.shadow = false;
    /**
     * If `true` the color gets inverted for dark backgrounds
     */
    this.inverted = false;
  }
  render() {
    const block = bem.BEM.block('stage-back-link');
    return (index.h(index.Host, { class: Object.assign({}, block.class()) }, index.h("a", { class: {
        'is-link': true,
        'is-inverted': this.inverted,
        'has-blur-shadow': this.shadow,
      }, href: this.href }, index.h("bal-icon", { class: "mr-2", name: "caret-left", size: "xsmall", inverted: this.inverted, shadow: this.shadow }), index.h("slot", null))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_stage_back_link = StageBackLink;
