import { Component, Host, h, Prop } from '@stencil/core';
export class CardActions {
  constructor() {
    /**
     * @deprecated use position="right"
     * If `true` the buttons start form right to left.
     */
    this.right = false;
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
  }
  get buttonGroupPosition() {
    if (this.right) {
      return 'right';
    }
    return this.position;
  }
  render() {
    return (h(Host, { class: "bal-card-actions" },
      h("bal-button-group", { class: "m-0", position: this.buttonGroupPosition },
        h("slot", null))));
  }
  static get is() { return "bal-card-actions"; }
  static get properties() { return {
    "right": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [{
            "name": "deprecated",
            "text": "use position=\"right\"\nIf `true` the buttons start form right to left."
          }],
        "text": ""
      },
      "attribute": "right",
      "reflect": false,
      "defaultValue": "false"
    },
    "position": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Props.BalCardActionsPosition",
        "resolved": "\"\" | \"center\" | \"right\"",
        "references": {
          "Props": {
            "location": "import",
            "path": "../../../types"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The value of the button, which is submitted with the form data."
      },
      "attribute": "position",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
