import { Component, h, Host, Element, Prop } from '@stencil/core';
import { inheritAttributes } from '../../helpers/helpers';
import { BEM } from '../../utils/bem';
export class Close {
  constructor() {
    this.inheritedAttributes = {};
    /**
     * Define the size of badge. Small is recommended for tabs.
     */
    this.size = '';
    /**
     * If `true` it supports dark backgrounds.
     */
    this.inverted = false;
  }
  componentWillLoad() {
    this.inheritedAttributes = inheritAttributes(this.el, ['tabindex']);
  }
  render() {
    const blockEl = BEM.block('close');
    const buttonEl = blockEl.element('button');
    const iconEl = buttonEl.element('icon');
    return (h(Host, { class: Object.assign({}, blockEl.class()) },
      h("button", Object.assign({ type: "button", "aria-label": "close", class: Object.assign(Object.assign(Object.assign({}, buttonEl.class()), buttonEl.modifier('inverted').class(this.inverted)), buttonEl.modifier(`size-${this.size}`).class(this.size !== '')) }, this.inheritedAttributes),
        h("bal-icon", { name: "close", size: this.size === 'small' ? 'xsmall' : this.size === 'medium' ? 'medium' : 'small', inverted: this.inverted, class: Object.assign({}, iconEl.class()) }))));
  }
  static get is() { return "bal-close"; }
  static get properties() { return {
    "size": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Props.BalCloseSize",
        "resolved": "\"\" | \"medium\" | \"small\"",
        "references": {
          "Props": {
            "location": "import",
            "path": "../../types"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Define the size of badge. Small is recommended for tabs."
      },
      "attribute": "size",
      "reflect": false,
      "defaultValue": "''"
    },
    "inverted": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "If `true` it supports dark backgrounds."
      },
      "attribute": "inverted",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get elementRef() { return "el"; }
}
