import { Component, h, Host, Prop } from '@stencil/core';
export class ImageSliderItem {
  constructor() {
    this.inputId = `bal-image-slider-item-${imageSliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-image-slider-item" },
      this.src !== undefined ? h("img", { src: this.src }) : '',
      h("slot", null)));
  }
  static get is() { return "bal-image-slider-item"; }
  static get properties() { return {
    "src": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "Src path to the image"
      },
      "attribute": "src",
      "reflect": false
    }
  }; }
}
let imageSliderItemId = 0;
