import { Component, Host, h, Element, Event, Prop, Watch } from '@stencil/core';
export class ListItemAccordionHead {
  constructor() {
    /**
     * If `true` the list accordion is open
     */
    this.accordionOpen = false;
    /**
     * Icon name string with value 'plus' on default
     */
    this.icon = 'plus';
    this.onClick = () => {
      const listItem = this.getClosestListItem();
      if (listItem) {
        this.accordionOpen = !this.accordionOpen;
        this.balAccordionChange.emit(this.accordionOpen);
      }
    };
  }
  accordionOpenHandler() {
    this.balAccordionChange.emit(this.accordionOpen);
  }
  connectedCallback() {
    this.balAccordionChange.emit(this.accordionOpen);
  }
  getClosestListItem() {
    return this.el.closest('bal-list-item');
  }
  render() {
    return (h(Host, { class: {
        'bal-list__item': true,
        'bal-list__item__accordion-head': true,
        'bal-list__item__accordion-head--open': this.accordionOpen,
      }, onClick: this.onClick },
      h("slot", null),
      h("bal-list-item-icon", { right: true },
        h("bal-icon", { class: "bal-list__item__accordion-head__icon", name: this.icon, size: "small", turn: this.accordionOpen }))));
  }
  static get is() { return "bal-list-item-accordion-head"; }
  static get properties() { return {
    "accordionOpen": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "If `true` the list accordion is open"
      },
      "attribute": "accordion-open",
      "reflect": false,
      "defaultValue": "false"
    },
    "icon": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Icon name string with value 'plus' on default"
      },
      "attribute": "icon",
      "reflect": false,
      "defaultValue": "'plus'"
    }
  }; }
  static get events() { return [{
      "method": "balAccordionChange",
      "name": "balAccordionChange",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Emitted when the accordion state is changed"
      },
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      }
    }]; }
  static get elementRef() { return "el"; }
  static get watchers() { return [{
      "propName": "accordionOpen",
      "methodName": "accordionOpenHandler"
    }]; }
}
