import { Component, Host, h, Prop } from '@stencil/core';
export class ListItemTitle {
  constructor() {
    /**
     * Heading level with value 'h4' on default
     */
    this.level = 'h5';
  }
  render() {
    return (h(Host, { class: "bal-list__item__title" },
      h("bal-heading", { level: this.level, space: "none" },
        h("slot", null))));
  }
  static get is() { return "bal-list-item-title"; }
  static get properties() { return {
    "level": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Props.BalHeadingLevel",
        "resolved": "\"display\" | \"display-2\" | \"h1\" | \"h2\" | \"h3\" | \"h4\" | \"h5\"",
        "references": {
          "Props": {
            "location": "import",
            "path": "../../../types"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Heading level with value 'h4' on default"
      },
      "attribute": "level",
      "reflect": false,
      "defaultValue": "'h5'"
    }
  }; }
}
