import { h } from '@stencil/core';
import { isPlatform } from '../../..';
import { BEM } from '../../../utils/bem';
const stepsEl = BEM.block('tabs').element('steps');
const stepItemEl = stepsEl.element('item');
const stepItemButtonEl = stepItemEl.element('button');
const stepItemButtonIndexEl = stepItemButtonEl.element('index');
const stepItemButtonIndexLabelEl = stepItemButtonIndexEl.element('label');
const stepItemButtonLabelEl = stepItemButtonEl.element('label');
export const StepList = ({ value, float, clickable, tabs, onSelectTab }) => {
  let hasPassed = true;
  let index = 0;
  tabs = tabs
    .map(tab => (Object.assign(Object.assign({}, tab), { active: tab.value === value })))
    .map(tab => {
    if (tab.active) {
      hasPassed = false;
    }
    if (!tab.hidden) {
      index = index + 1;
    }
    return Object.assign(Object.assign({}, tab), { passed: hasPassed, index });
  });
  return (h("ul", { class: Object.assign(Object.assign({}, stepsEl.class()), stepsEl.modifier(`float-${float}`).class()) }, tabs.map(tab => (h("li", { class: Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, stepItemEl.class()), stepItemEl.modifier('hidden').class(tab.hidden)), stepItemEl.modifier('active').class(tab.active)), stepItemEl.modifier('passed').class(tab.passed)), stepItemEl.modifier('disabled').class(tab.disabled)), stepItemEl.modifier('done').class(tab.done)), stepItemEl.modifier('failed').class(tab.failed)), stepItemEl.modifier('clickable').class(clickable && !tab.disabled)), { 'data-test-tab-item': true }), "data-label": tab.label, "data-value": tab.value, "data-index": index },
    h("a", { class: Object.assign(Object.assign(Object.assign({}, stepItemButtonEl.class()), stepItemButtonEl.modifier('disabled').class(tab.disabled)), stepItemButtonEl.modifier('clickable').class(clickable && !tab.disabled)), onClick: (event) => onSelectTab(event, tab) },
      h("span", { class: Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, stepItemButtonIndexEl.class()), stepItemButtonIndexEl.modifier('done').class(tab.done)), stepItemButtonIndexEl.modifier('active').class(tab.active)), stepItemButtonIndexEl.modifier('failed').class(tab.failed)), stepItemButtonIndexEl.modifier('disabled').class(tab.disabled)) },
        h("bal-icon", { class: Object.assign({}, stepItemButtonIndexEl.element('icon').class()), style: { display: tab.done ? 'block' : 'none' }, size: isPlatform('mobile') ? 'small' : '', color: "white", name: "check" }),
        h("span", { class: Object.assign(Object.assign(Object.assign(Object.assign({}, stepItemButtonIndexLabelEl.class()), stepItemButtonIndexLabelEl.modifier('failed').class(tab.failed)), stepItemButtonIndexLabelEl.modifier('active').class(tab.active)), stepItemButtonIndexLabelEl.modifier('disabled').class(tab.disabled)), style: { display: !tab.done ? 'block' : 'none' } }, tab.failed ? '!' : tab.index)),
      h("span", { class: Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, stepItemButtonLabelEl.class()), stepItemButtonLabelEl.modifier('done').class(tab.done)), stepItemButtonLabelEl.modifier('active').class(tab.active)), stepItemButtonLabelEl.modifier('failed').class(tab.failed)), stepItemButtonLabelEl.modifier('disabled').class(tab.disabled)) }, tab.label)))))));
};
