import { Component, h, Host, Element, Listen } from '@stencil/core';
export class DocTabs {
  routeChanged() {
    this.updateIsActive();
  }
  componentDidLoad() {
    const linkElements = this.el.querySelectorAll('a');
    linkElements[0].classList.add('is-active');
  }
  updateIsActive() {
    const linkElements = this.el.querySelectorAll('a');
    linkElements.forEach(link => {
      if (link.href.includes(location.hash)) {
        link.classList.add('is-active');
      }
      else {
        link.classList.remove('is-active');
      }
    });
  }
  render() {
    return (h(Host, { class: "bal-doc-tabs" },
      h("slot", null)));
  }
  static get is() { return "bal-doc-tabs"; }
  static get originalStyleUrls() { return {
    "$": ["bal-doc-tabs.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["bal-doc-tabs.css"]
  }; }
  static get elementRef() { return "el"; }
  static get listeners() { return [{
      "name": "hashchange",
      "method": "routeChanged",
      "target": "window",
      "capture": false,
      "passive": false
    }]; }
}
