import { Component, h, Host, Element } from '@stencil/core';
import tokens from '@baloise/design-system-next-tokens/dist/tokens.docs.json';
export class DocTokensBorderRadius {
  render() {
    const radius = tokens.radius;
    const sizes = [];
    for (const k in radius) {
      sizes.push({
        name: k,
        value: radius[k],
      });
    }
    return (h(Host, null,
      h("bal-doc-app", null,
        h("table", { class: "table tokens", style: { width: '100%' } },
          h("thead", null,
            h("tr", null,
              h("th", { style: { minWidth: '120px' } }, "Example"),
              h("th", null, "Description"),
              h("th", { style: { minWidth: '230px' } }, "Token"),
              h("th", { style: { minWidth: '80px' } }, "Value"))),
          h("tbody", null, sizes.map(c => (h("tr", null,
            h("td", { style: { verticalAlign: 'top' } },
              h("div", { style: { height: '48px', width: '80px' }, class: `has-radius${c.name === 'normal' ? '' : `-${c.name}`} mt-x-small has-background-purple` })),
            h("td", { style: { verticalAlign: 'top' } },
              h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name),
              h("p", { class: "m-0 is-size-small" }, c.value.description)),
            h("td", { style: { verticalAlign: 'top' } },
              h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" },
                "var(--bal-radius",
                c.name === 'normal' ? '' : `-${c.name}`,
                ")")),
            h("td", { style: { verticalAlign: 'top' } },
              h("p", { class: "mt-0 mb-2 is-size-small is-bold py-1" }, c.value.value))))))))));
  }
  static get is() { return "bal-doc-tokens-radius"; }
  static get elementRef() { return "el"; }
}
