import { Component, h, Host, Element } from '@stencil/core';
import tokens from '@baloise/design-system-next-tokens/dist/tokens.docs.json';
export class DocTokensBorder {
  render() {
    const typography = tokens.typography;
    const sizes = [];
    const validSizes = [
      'xxxxx-large',
      'xxxx-large',
      'xxx-large',
      'xx-large',
      'x-large',
      'large',
      'medium',
      'normal',
      'small',
      'x-small',
    ];
    for (const k in typography.sizes) {
      if (validSizes.includes(k)) {
        sizes.push({
          name: k,
          value: typography.sizes[k],
        });
      }
    }
    return (h(Host, null,
      h("bal-doc-app", null,
        h("table", { class: "table tokens", style: { width: '100%' } },
          h("thead", null,
            h("tr", null,
              h("th", { style: { minWidth: '130px' } }, "Example"),
              h("th", null, "Description"),
              h("th", { style: { minWidth: '200px' } }, "Token"),
              h("th", { style: { minWidth: '100px' } }, "Mobile"),
              h("th", { style: { minWidth: '100px' } }, "Tablet"),
              h("th", { style: { minWidth: '100px' } }, "Desktop"))),
          h("tbody", null, sizes.map(c => (h("tr", null,
            h("td", { style: { verticalAlign: 'top' } },
              h("span", { class: `title is-size-${c.name}` }, "Aa")),
            h("td", { style: { verticalAlign: 'top' } },
              h("p", { class: "is-bold is-size-large mt-0 mb-2" },
                c.name,
                " ",
                h("span", { class: "is-size-medium" },
                  "(",
                  c.value.figmaName,
                  ")")),
              h("p", { class: "m-0 is-size-small" }, c.value.description)),
            h("td", { style: { verticalAlign: 'top' } },
              h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" },
                "var(--bal-size-",
                c.name,
                ")"),
              h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" },
                "var(--bal-line-height-",
                c.name,
                ")")),
            h("td", { style: { verticalAlign: 'top' } },
              h("span", { class: `is-bold is-size-small` }, c.value.mobile.fontSize),
              h("br", null),
              h("span", { class: `is-size-small` }, c.value.mobile.lineHeight)),
            h("td", { style: { verticalAlign: 'top' } },
              h("span", { class: `is-bold is-size-small` }, c.value.tablet.fontSize),
              h("br", null),
              h("span", { class: `is-size-small` }, c.value.tablet.lineHeight)),
            h("td", { style: { verticalAlign: 'top' } },
              h("span", { class: `is-bold is-size-small` }, c.value.desktop.fontSize),
              h("br", null),
              h("span", { class: `is-size-small` }, c.value.desktop.lineHeight))))))))));
  }
  static get is() { return "bal-doc-tokens-border"; }
  static get elementRef() { return "el"; }
}
