import { Component, h, Host, Element, Prop } from '@stencil/core';
export class DocUsageItem {
  constructor() {
    this.theme = 'do';
  }
  render() {
    const color = this.theme === 'do' ? 'success' : 'danger';
    const icon = this.theme === 'do' ? 'check-circle' : 'alert-circle';
    const title = this.subject ? this.subject : this.theme === 'do' ? 'When to use' : 'When not to use';
    return (h(Host, { class: "column bal-doc-usage-item" },
      h("div", { class: {
          'p-4': true,
          'has-radius-large': true,
          [`has-background-${color}-light`]: true,
        } },
        h("h3", { class: "is-size-4 mt-0 mb-4" },
          h("bal-icon", { name: icon, inline: true, size: "", color: color, class: "mr-3" }),
          title),
        this.image ? (h("div", null,
          h("slot", null))) : (h("ul", { class: "is-list ml-6" },
          h("slot", null))))));
  }
  static get is() { return "bal-doc-usage-item"; }
  static get properties() { return {
    "theme": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'do' | 'dont'",
        "resolved": "\"do\" | \"dont\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "theme",
      "reflect": false,
      "defaultValue": "'do'"
    },
    "subject": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "subject",
      "reflect": false
    },
    "image": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "image",
      "reflect": false
    }
  }; }
  static get elementRef() { return "el"; }
}
