import { Component, h, Host, Prop } from '@stencil/core';
export class SelectOption {
  constructor() {
    /**
     * If `true`, the user cannot interact with the option.
     */
    this.disabled = false;
    /**
     * @internal
     * ID of the option.
     */
    this.for = `bal-selopt-${selectOptionIds++}`;
  }
  render() {
    return (h(Host, { style: { display: 'none' } },
      h("slot", null)));
  }
  static get is() { return "bal-select-option"; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "Label will be shown in the input element when it got selected"
      },
      "attribute": "label",
      "reflect": true
    },
    "disabled": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "If `true`, the user cannot interact with the option."
      },
      "attribute": "disabled",
      "reflect": false,
      "defaultValue": "false"
    },
    "value": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "The value of the select option. This value will be returned by the parent `<bal-select>` element."
      },
      "attribute": "value",
      "reflect": true
    },
    "for": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [{
            "name": "internal",
            "text": "ID of the option."
          }],
        "text": ""
      },
      "attribute": "for",
      "reflect": true,
      "defaultValue": "`bal-selopt-${selectOptionIds++}`"
    }
  }; }
}
let selectOptionIds = 0;
