import { Component, Host, h, Element } from '@stencil/core';
export class ModalHeader {
  constructor() {
    this.closeHandler = () => {
      if (this.parentModal) {
        this.parentModal.dismiss(undefined, 'model-close');
      }
    };
  }
  get parentModal() {
    return this.el.closest('bal-modal');
  }
  render() {
    return (h(Host, { class: "bal-modal__header" },
      h("div", { class: "bal-modal__header__title" },
        h("h2", { class: "title is-size-2 m-0" },
          h("slot", null))),
      h("bal-close", { class: "bal-modal__header__close data-test-modal-close", onClick: this.closeHandler })));
  }
  static get is() { return "bal-modal-header"; }
  static get elementRef() { return "el"; }
}
