import { getOverlays } from './../../../helpers/overlays';
import { componentOnReady, getAppRoot } from '../../../helpers/helpers';
import { getOverlay } from '../../../helpers/overlays';
export class BalModalController {
  constructor() {
    this.tag = 'bal-modal';
  }
  create(options) {
    /* tslint:disable-next-line */
    if (typeof customElements !== 'undefined') {
      return customElements.whenDefined(this.tag).then(() => {
        const element = document.createElement(this.tag);
        // convert the passed in overlay options into props
        // that get passed down into the new overlay
        Object.assign(element, options);
        // append the overlay element to the document body
        getAppRoot(document).appendChild(element);
        return new Promise(resolve => componentOnReady(element, resolve));
      });
    }
    return Promise.resolve();
  }
  async dismissAll(data, role) {
    const overlays = getOverlays(document, this.tag);
    await Promise.all(overlays.map(o => o.dismiss(data, role)));
  }
  dismiss(data, role, id) {
    const overlay = getOverlay(document, this.tag, id);
    if (!overlay) {
      return Promise.reject('overlay does not exist');
    }
    return overlay.dismiss(data, role);
  }
  async getTop() {
    return getOverlay(document, this.tag);
  }
}
export const balModalController = new BalModalController();
