import { Component, Host, h, Prop } from '@stencil/core';
export class Notification {
  constructor() {
    /**
     * Defines the color of the element
     * Color type primary is deprecated, please use info instead.
     */
    this.color = '';
  }
  render() {
    return (h(Host, { class: "bal-notification" },
      h("div", { class: `bal-notification__inner p-5 bal-notification__inner--is-${this.color}` },
        h("slot", null))));
  }
  static get is() { return "bal-notification"; }
  static get properties() { return {
    "color": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "Props.BalNotificationColor",
        "resolved": "\"\" | \"danger\" | \"info\" | \"primary\" | \"success\" | \"warning\"",
        "references": {
          "Props": {
            "location": "import",
            "path": "../../../types"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Defines the color of the element\nColor type primary is deprecated, please use info instead."
      },
      "attribute": "color",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
