import { defaultLocale, useBalConfig } from '../config';
import * as BaloiseWebAppUtils from '@baloise/web-app-utils';
const getLocale = () => {
  const config = useBalConfig();
  return (config && config.locale) || defaultLocale;
};
export const getDecimalSeparator = () => {
  return BaloiseWebAppUtils.getDecimalSeparator(getLocale());
};
export const getThousandSeparator = () => {
  return BaloiseWebAppUtils.getThousandSeparator(getLocale());
};
export const formatLocaleNumber = (number, minimumFractionDigits) => {
  return BaloiseWebAppUtils.formatLocaleNumber(getLocale(), number, minimumFractionDigits);
};
export const parseLocaleNumber = (stringNumber) => {
  const thousandSeparator = getThousandSeparator();
  const decimalSeparator = getDecimalSeparator();
  return parseFloat(stringNumber
    .replace(new RegExp('\\' + thousandSeparator, 'g'), '')
    .replace(new RegExp('\\' + decimalSeparator), '.'));
};
