import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { g as globalScript } from './global.js';

const App = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.balAppLoad = createEvent(this, "balAppLoad", 7);
  }
  connectedCallback() {
    globalScript();
  }
  componentDidLoad() {
    this.balAppLoad.emit(true);
  }
  render() {
    return (h(Host, { role: "application", class: "bal-app" }, h("slot", null)));
  }
}, [4, "bal-app"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-app"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-app":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, App);
      }
      break;
  } });
}

const BalApp = App;
const defineCustomElement = defineCustomElement$1;

export { BalApp, defineCustomElement };
