import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './bal-icon2.js';

const Badge = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Define the size of badge. Small is recommended for tabs.
     */
    this.size = '';
    /**
     * Define the alert color for the badge.
     */
    this.color = 'danger';
    /**
     * If `true` the badge is added to the top right corner of the card.
     */
    this.position = '';
  }
  render() {
    return (h(Host, { class: {
        'bal-badge': true,
        [`bal-badge--has-background-${this.color}`]: true,
        [`bal-badge--has-position-${this.position}`]: this.position !== '',
        [`bal-badge--has-size-${this.size}`]: this.size !== '',
      } }, h("span", { class: {
        'bal-badge__label': true,
        'is-hidden': !!this.icon || this.size === 'small',
      } }, h("slot", null)), h("bal-icon", { class: {
        'bal-badge__icon': true,
        'is-hidden': !this.icon || this.size === 'small',
      }, size: this.size === '' ? 'small' : '', name: this.icon, color: "white" })));
  }
  get el() { return this; }
}, [4, "bal-badge", {
    "icon": [1],
    "size": [1],
    "color": [1],
    "position": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-badge", "bal-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-badge":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Badge);
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { Badge as B, defineCustomElement as d };
