import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './bal-button-group2.js';

const CardActions = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * @deprecated use position="right"
     * If `true` the buttons start form right to left.
     */
    this.right = false;
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
  }
  get buttonGroupPosition() {
    if (this.right) {
      return 'right';
    }
    return this.position;
  }
  render() {
    return (h(Host, { class: "bal-card-actions" }, h("bal-button-group", { class: "m-0", position: this.buttonGroupPosition }, h("slot", null))));
  }
}, [4, "bal-card-actions", {
    "right": [4],
    "position": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-card-actions", "bal-button-group"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-card-actions":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, CardActions);
      }
      break;
    case "bal-button-group":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BalCardActions = CardActions;
const defineCustomElement = defineCustomElement$1;

export { BalCardActions, defineCustomElement };
