import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { e as inheritAttributes } from './helpers.js';
import { B as BEM } from './bem.js';
import { d as defineCustomElement$1 } from './bal-icon2.js';

const Close = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.inheritedAttributes = {};
    /**
     * Define the size of badge. Small is recommended for tabs.
     */
    this.size = '';
    /**
     * If `true` it supports dark backgrounds.
     */
    this.inverted = false;
  }
  componentWillLoad() {
    this.inheritedAttributes = inheritAttributes(this.el, ['tabindex']);
  }
  render() {
    const blockEl = BEM.block('close');
    const buttonEl = blockEl.element('button');
    const iconEl = buttonEl.element('icon');
    return (h(Host, { class: Object.assign({}, blockEl.class()) }, h("button", Object.assign({ type: "button", "aria-label": "close", class: Object.assign(Object.assign(Object.assign({}, buttonEl.class()), buttonEl.modifier('inverted').class(this.inverted)), buttonEl.modifier(`size-${this.size}`).class(this.size !== '')) }, this.inheritedAttributes), h("bal-icon", { name: "close", size: this.size === 'small' ? 'xsmall' : this.size === 'medium' ? 'medium' : 'small', inverted: this.inverted, class: Object.assign({}, iconEl.class()) }))));
  }
  get el() { return this; }
}, [0, "bal-close", {
    "size": [1],
    "inverted": [4]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-close", "bal-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-close":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Close);
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { Close as C, defineCustomElement as d };
