import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const Data = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * If `true` a bottom border is added to the data-item.
     */
    this.border = false;
    /**
     * If `true` the data list is horizontal instead of vertical.
     */
    this.horizontal = false;
    this.inputElements = ['bal-data-item'];
  }
  borderHandler() {
    this.updateProps([...this.inputElements], 'border');
  }
  updateProps(selectors, key) {
    const value = this[key];
    if (value !== undefined) {
      this.notifyComponents(selectors, input => (input[key] = value));
    }
  }
  notifyComponents(selectors, callback) {
    const components = this.element.querySelectorAll(selectors.join(', '));
    components.forEach((c) => callback(c));
  }
  componentWillLoad() {
    this.borderHandler();
  }
  render() {
    const block = BEM.block('data');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier('has-border').class(this.border)), block.modifier('is-horizontal').class(this.horizontal)) }, h("slot", null)));
  }
  get element() { return this; }
  static get watchers() { return {
    "border": ["borderHandler"]
  }; }
}, [4, "bal-data", {
    "border": [4],
    "horizontal": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-data"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-data":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Data);
      }
      break;
  } });
}

const BalData = Data;
const defineCustomElement = defineCustomElement$1;

export { BalData, defineCustomElement };
