import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$4 } from './bal-close2.js';
import { d as defineCustomElement$3 } from './bal-icon2.js';
import { d as defineCustomElement$2 } from './bal-tag2.js';
import { d as defineCustomElement$1 } from './bal-tag-group2.js';

const DocBannerStatus = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.myContexts = new Map([
      [
        'rebranded',
        {
          label: 'Rebranded',
          tooltip: 'The component has adopt the new styles successfully',
        },
      ],
      [
        'sass',
        {
          label: 'SASS + BEM',
          tooltip: 'The component supports CSS variables and styles are structure with BEM',
        },
      ],
      [
        'visual',
        {
          label: 'Visual Test',
          tooltip: 'The component has a running visual test',
        },
      ],
      [
        'a11y',
        {
          label: 'a11y',
          tooltip: 'The component fulfills the AA accessibility standard',
        },
      ],
      [
        'usage',
        {
          label: 'Usage Doc',
          tooltip: 'The component has a usage documentation',
        },
      ],
      [
        'css',
        {
          label: 'CSS Customization',
          tooltip: 'The component supports its own CSS variables.',
        },
      ],
    ]);
    this.context = [];
  }
  render() {
    const tags = [];
    this.myContexts.forEach((value, key) => {
      tags.push({
        label: value.label,
        tooltip: value.tooltip,
        color: this.context.includes(key) ? 'success' : 'grey',
      });
    });
    return (h(Host, null, h("bal-tag-group", null, tags.map(t => (h("bal-tag", { size: "small", color: t.color, title: t.tooltip }, t.color === 'success' ? h("bal-icon", { inverted: true, inline: true, size: "small", name: "check" }) : '', t.label))))));
  }
  get el() { return this; }
}, [0, "bal-doc-banner-status", {
    "context": [16]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-doc-banner-status", "bal-close", "bal-icon", "bal-tag", "bal-tag-group"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-doc-banner-status":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DocBannerStatus);
      }
      break;
    case "bal-close":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "bal-tag":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "bal-tag-group":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { DocBannerStatus as D, defineCustomElement as d };
