import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$8 } from './bal-close2.js';
import { d as defineCustomElement$7 } from './bal-doc-app2.js';
import { d as defineCustomElement$6 } from './bal-doc-banner-status2.js';
import { d as defineCustomElement$5 } from './bal-heading2.js';
import { d as defineCustomElement$4 } from './bal-icon2.js';
import { d as defineCustomElement$3 } from './bal-tag2.js';
import { d as defineCustomElement$2 } from './bal-tag-group2.js';

const balDocBannerCss = ".bal-doc-banner__inner{background:#000d6e}@media screen and (min-width: 1064px){.bal-doc-banner__inner{border-bottom-left-radius:0.75rem;border-bottom-right-radius:0.75rem}}";

const DocBanner = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.subtitle = 'Component';
    this.status = '';
  }
  render() {
    return (h(Host, null, h("bal-doc-app", null, h("div", { class: "bal-doc-banner__inner pt-7 pb-6 px-6", style: {
        marginTop: '-32px',
        marginLeft: '-32px',
        marginRight: '-32px',
      } }, h("bal-heading", { space: "none", inverted: true }, h("slot", null)), h("bal-heading", { space: "none", subtitle: true, level: "h4", inverted: true }, this.subtitle), h("div", { class: "mt-4", style: { display: this.subtitle === 'Component' ? 'block' : 'none' } }, h("bal-doc-banner-status", { context: this.status.split(',').map(s => s.trim()) }))))));
  }
  get el() { return this; }
  static get style() { return balDocBannerCss; }
}, [4, "bal-doc-banner", {
    "subtitle": [1],
    "status": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-doc-banner", "bal-close", "bal-doc-app", "bal-doc-banner-status", "bal-heading", "bal-icon", "bal-tag", "bal-tag-group"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-doc-banner":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DocBanner);
      }
      break;
    case "bal-close":
      if (!customElements.get(tagName)) {
        defineCustomElement$8();
      }
      break;
    case "bal-doc-app":
      if (!customElements.get(tagName)) {
        defineCustomElement$7();
      }
      break;
    case "bal-doc-banner-status":
      if (!customElements.get(tagName)) {
        defineCustomElement$6();
      }
      break;
    case "bal-heading":
      if (!customElements.get(tagName)) {
        defineCustomElement$5();
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "bal-tag":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "bal-tag-group":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BalDocBanner = DocBanner;
const defineCustomElement = defineCustomElement$1;

export { BalDocBanner, defineCustomElement };
