import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const balDocTabsCss = ".bal-doc-tabs{display:block;margin:0 !important;padding:0;background:#ffffff;position:-webkit-sticky;position:sticky;top:0px;min-height:50px;height:50px;z-index:39;display:-ms-flexbox;display:flex;-ms-flex-direction:row;flex-direction:row;max-width:none;height:49px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;border-bottom:2px solid #f6f6f6;margin-bottom:20px;gap:24px}.bal-doc-tabs a{position:relative;height:48px;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:center;align-items:center;cursor:pointer;text-decoration:none !important;color:#293485 !important;font-size:1.2rem !important;font-family:BaloiseCreateText, Arial, sans-serif !important}.bal-doc-tabs a:hover{color:#000d6e !important}.bal-doc-tabs a:hover.is-active{color:#000d6e !important}.bal-doc-tabs a:hover.is-active:after{content:\"\";height:2px;background:#000d6e;width:100%;border-radius:2px;left:0;right:0;position:absolute;bottom:-2px}";

const DocTabs = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  routeChanged() {
    this.updateIsActive();
  }
  componentDidLoad() {
    const linkElements = this.el.querySelectorAll('a');
    linkElements[0].classList.add('is-active');
  }
  updateIsActive() {
    const linkElements = this.el.querySelectorAll('a');
    linkElements.forEach(link => {
      if (link.href.includes(location.hash)) {
        link.classList.add('is-active');
      }
      else {
        link.classList.remove('is-active');
      }
    });
  }
  render() {
    return (h(Host, { class: "bal-doc-tabs" }, h("slot", null)));
  }
  get el() { return this; }
  static get style() { return balDocTabsCss; }
}, [4, "bal-doc-tabs", undefined, [[8, "hashchange", "routeChanged"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-doc-tabs"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-doc-tabs":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DocTabs);
      }
      break;
  } });
}

const BalDocTabs = DocTabs;
const defineCustomElement = defineCustomElement$1;

export { BalDocTabs, defineCustomElement };
