import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './bal-icon2.js';

const DocUsageItem = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.theme = 'do';
  }
  render() {
    const color = this.theme === 'do' ? 'success' : 'danger';
    const icon = this.theme === 'do' ? 'check-circle' : 'alert-circle';
    const title = this.subject ? this.subject : this.theme === 'do' ? 'When to use' : 'When not to use';
    return (h(Host, { class: "column bal-doc-usage-item" }, h("div", { class: {
        'p-4': true,
        'has-radius-large': true,
        [`has-background-${color}-light`]: true,
      } }, h("h3", { class: "is-size-4 mt-0 mb-4" }, h("bal-icon", { name: icon, inline: true, size: "", color: color, class: "mr-3" }), title), this.image ? (h("div", null, h("slot", null))) : (h("ul", { class: "is-list ml-6" }, h("slot", null))))));
  }
  get el() { return this; }
}, [4, "bal-doc-usage-item", {
    "theme": [1],
    "subject": [1],
    "image": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-doc-usage-item", "bal-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-doc-usage-item":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DocUsageItem);
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BalDocUsageItem = DocUsageItem;
const defineCustomElement = defineCustomElement$1;

export { BalDocUsageItem, defineCustomElement };
