import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './bal-doc-app2.js';

const balDocUsageCss = ".bal-doc-usage{position:static;display:block}.bal-doc-usage-item img{background:#ffffff;padding:4px;border-radius:4px}.bal-doc-usage-item>div{height:100%}.bal-doc-usage-item p{display:block;text-align:left;color:#000d6e;font-family:BaloiseCreateText, Arial, sans-serif;font-size:1rem;line-height:1.5rem;font-weight:400;margin-top:8px;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}";

const DocUsage = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "bal-doc-usage" }, h("bal-doc-app", null, h("div", { class: "columns" }, h("slot", null)))));
  }
  get el() { return this; }
  static get style() { return balDocUsageCss; }
}, [4, "bal-doc-usage"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-doc-usage", "bal-doc-app"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-doc-usage":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DocUsage);
      }
      break;
    case "bal-doc-app":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BalDocUsage = DocUsage;
const defineCustomElement = defineCustomElement$1;

export { BalDocUsage, defineCustomElement };
