import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const FieldMessage = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Defines the color of the message.
     */
    this.color = '';
    /**
     * If `true` the component gets a invalid red style.
     */
    this.invalid = false;
    /**
     * If `true` the component gets a valid green style.
     */
    this.valid = false;
    /**
     * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
     */
    this.disabled = false;
    /**
     * If `true` the element can not mutated, meaning the user can not edit the control.
     */
    this.readonly = false;
  }
  render() {
    return (h(Host, { class: {
        'bal-field-message': true,
        'help': true,
        'is-danger': this.invalid,
        'is-success': this.valid,
        'is-disabled': this.disabled || this.readonly,
        [`is-${this.color}`]: !!this.color,
      } }, h("slot", null)));
  }
}, [4, "bal-field-message", {
    "color": [1],
    "invalid": [4],
    "valid": [4],
    "disabled": [4],
    "readonly": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-field-message"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-field-message":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, FieldMessage);
      }
      break;
  } });
}

const BalFieldMessage = FieldMessage;
const defineCustomElement = defineCustomElement$1;

export { BalFieldMessage, defineCustomElement };
