import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './bal-icon2.js';
import { d as defineCustomElement$1 } from './bal-list-item-icon2.js';

const ListItemAccordionHead = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.balAccordionChange = createEvent(this, "balAccordionChange", 7);
    /**
     * If `true` the list accordion is open
     */
    this.accordionOpen = false;
    /**
     * Icon name string with value 'plus' on default
     */
    this.icon = 'plus';
    this.onClick = () => {
      const listItem = this.getClosestListItem();
      if (listItem) {
        this.accordionOpen = !this.accordionOpen;
        this.balAccordionChange.emit(this.accordionOpen);
      }
    };
  }
  accordionOpenHandler() {
    this.balAccordionChange.emit(this.accordionOpen);
  }
  connectedCallback() {
    this.balAccordionChange.emit(this.accordionOpen);
  }
  getClosestListItem() {
    return this.el.closest('bal-list-item');
  }
  render() {
    return (h(Host, { class: {
        'bal-list__item': true,
        'bal-list__item__accordion-head': true,
        'bal-list__item__accordion-head--open': this.accordionOpen,
      }, onClick: this.onClick }, h("slot", null), h("bal-list-item-icon", { right: true }, h("bal-icon", { class: "bal-list__item__accordion-head__icon", name: this.icon, size: "small", turn: this.accordionOpen }))));
  }
  get el() { return this; }
  static get watchers() { return {
    "accordionOpen": ["accordionOpenHandler"]
  }; }
}, [4, "bal-list-item-accordion-head", {
    "accordionOpen": [4, "accordion-open"],
    "icon": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-list-item-accordion-head", "bal-icon", "bal-list-item-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-list-item-accordion-head":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ListItemAccordionHead);
      }
      break;
    case "bal-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "bal-list-item-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { ListItemAccordionHead as L, defineCustomElement as d };
