import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ListItemIcon = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * If `true` the icon is on the right side of the list item. Default is the left side.
     */
    this.right = false;
  }
  render() {
    return (h(Host, { class: {
        'bal-list__item__icon': true,
        'bal-list__item__icon--right': this.right,
      } }, h("slot", null)));
  }
}, [4, "bal-list-item-icon", {
    "right": [4]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-list-item-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-list-item-icon":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ListItemIcon);
      }
      break;
  } });
}

export { ListItemIcon as L, defineCustomElement as d };
