import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const List = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * If `true` the list item can not be hovered
     */
    this.disabled = false;
    /**
     * @deprecated
     * If `true` the list can be used on a dark background
     */
    this.inverted = false;
    /**
     * If `true` the list can be used on a light, dark or colored backgrounds
     */
    this.background = 'light';
    /**
     * If `true` each list item has a bottom border
     */
    this.border = false;
    /**
     * Defines the min height of the list item
     */
    this.size = '';
    /**
     * If `true` the list can be used as an accordion in meta nav
     */
    this.inMainNav = false;
  }
  invertedHandler() {
    console.warn('[DEPRECATED] - Please use the property background="dark" instead');
    if (this.inverted === true) {
      this.background = 'dark';
    }
  }
  render() {
    const block = BEM.block('list');
    return (h(Host, { role: "list", class: Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier('context-main-nav').class(this.inMainNav)), block.modifier('disabled').class(this.disabled)), block.modifier('border').class(this.border)), block.modifier(`size-${this.size}`).class(this.size !== '')), block.modifier(`background-${this.background}`).class()) }, h("slot", null)));
  }
  static get watchers() { return {
    "inverted": ["invertedHandler"]
  }; }
}, [4, "bal-list", {
    "disabled": [4],
    "inverted": [4],
    "background": [1],
    "border": [4],
    "size": [1],
    "inMainNav": [4, "in-main-nav"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-list"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-list":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, List);
      }
      break;
  } });
}

export { List as L, defineCustomElement as d };
