import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';
import { i as isPlatform } from './platform.js';
import { d as defineCustomElement$3 } from './bal-card2.js';
import { d as defineCustomElement$2 } from './bal-card-content2.js';
import { d as defineCustomElement$1 } from './bal-heading2.js';

const NavigationMenuList = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Color of the menu list card background
     */
    this.color = 'white';
    /**
     * Target of the menu list card headline target as link
     */
    this.target = '_self';
    this.setHeadingLevel = () => {
      if (isPlatform('touch')) {
        this.headingLevel = 'h4';
        return;
      }
      this.headingLevel = 'h3';
    };
  }
  async resizeHandler() {
    this.setHeadingLevel();
  }
  connectedCallback() {
    this.setHeadingLevel();
  }
  render() {
    const navMenuListEl = BEM.block('nav').element('menu').element('list');
    return (h(Host, { class: Object.assign(Object.assign({}, navMenuListEl.class()), navMenuListEl.modifier(`context-${this.color}`).class()) }, h("bal-card", { class: Object.assign({}, navMenuListEl.element('card').class()), flat: true, color: this.color === 'grey' ? this.color : '' }, h("bal-card-content", null, this.href ? (h("a", { href: this.href, target: this.target }, h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline))) : (h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline)), h("slot", { name: "links" })))));
  }
}, [4, "bal-navigation-menu-list", {
    "color": [1],
    "headline": [1],
    "href": [1],
    "target": [1],
    "headingLevel": [32]
  }, [[9, "resize", "resizeHandler"]]]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-navigation-menu-list", "bal-card", "bal-card-content", "bal-heading"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-navigation-menu-list":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, NavigationMenuList);
      }
      break;
    case "bal-card":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "bal-card-content":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "bal-heading":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { NavigationMenuList as N, defineCustomElement as d };
