import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const Notification = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Defines the color of the element
     * Color type primary is deprecated, please use info instead.
     */
    this.color = '';
  }
  render() {
    return (h(Host, { class: "bal-notification" }, h("div", { class: `bal-notification__inner p-5 bal-notification__inner--is-${this.color}` }, h("slot", null))));
  }
}, [4, "bal-notification", {
    "color": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-notification"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-notification":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Notification);
      }
      break;
  } });
}

const BalNotification = Notification;
const defineCustomElement = defineCustomElement$1;

export { BalNotification, defineCustomElement };
