import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const SelectOption = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * If `true`, the user cannot interact with the option.
     */
    this.disabled = false;
    /**
     * @internal
     * ID of the option.
     */
    this.for = `bal-selopt-${selectOptionIds++}`;
  }
  render() {
    return (h(Host, { style: { display: 'none' } }, h("slot", null)));
  }
}, [4, "bal-select-option", {
    "label": [513],
    "disabled": [4],
    "value": [513],
    "for": [513]
  }]);
let selectOptionIds = 0;
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-select-option"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-select-option":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SelectOption);
      }
      break;
  } });
}

export { SelectOption as S, defineCustomElement as d };
