import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const Sheet = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Defines content width of the stage
     */
    this.containerSize = '';
  }
  render() {
    const block = BEM.block('sheet');
    const container = block.element('container');
    const containerInner = container.element('inner');
    const containerModifier = this.containerSize !== '' ? `is-${this.containerSize}` : '';
    return (h(Host, { class: Object.assign({}, block.class()) }, h("div", { class: Object.assign(Object.assign({}, container.class()), { container: true, [containerModifier]: true }) }, h("div", { class: Object.assign({}, containerInner.class()) }, h("slot", null)))));
  }
}, [4, "bal-sheet", {
    "containerSize": [1, "container-size"]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-sheet"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-sheet":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Sheet);
      }
      break;
  } });
}

const BalSheet = Sheet;
const defineCustomElement = defineCustomElement$1;

export { BalSheet, defineCustomElement };
