import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const Table = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * If `true` the table has a full width
     */
    this.expanded = false;
  }
  render() {
    const block = BEM.block('table');
    const fullwidthClass = 'is-fullwidth';
    const hasFullwidth = this.expanded;
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), { 'ag-theme-alpine': true }), block.modifier(fullwidthClass).class(hasFullwidth)) }, h("slot", null)));
  }
  get el() { return this; }
}, [4, "bal-table", {
    "expanded": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-table"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-table":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Table);
      }
      break;
  } });
}

const BalTable = Table;
const defineCustomElement = defineCustomElement$1;

export { BalTable, defineCustomElement };
