import { b as balToastController, c as balSnackbarController } from './bal-snackbar.controller.js';
import { i as initialize } from './initialize.js';
import { s as setupPlatforms } from './platform.js';

// generated by .build/version.js
const VERSION = '10.24.9';

function globalScript () {
  if (typeof window !== 'undefined') {
    const win = window;
    win.BaloiseDesignSystem = win.BaloiseDesignSystem || {};
    initialize({}, win);
    setupPlatforms(win);
    win.BaloiseDesignSystem.toastController = balToastController;
    win.BaloiseDesignSystem.snackbarController = balSnackbarController;
    win.BaloiseDesignSystem.initialize = () => initialize(win.BaloiseDesignSystem.config, win);
    win.BaloiseDesignSystem.version = VERSION;
    if (win.addEventListener) {
      win.addEventListener('balAppLoad', () => {
        const body = document.querySelector('.bal-body');
        if (body && body.classList) {
          body.classList.add('is-ready');
        }
      });
    }
  }
}

export { globalScript as g };
