import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const ButtonGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
    /**
     * `auto` will position the button items vertical and full width.
     * `row` will force that the buttons are also horizontal on mobile.
     */
    this.direction = 'auto';
    /**
     * If `true` the flex direction is used in reverse on mobile.
     */
    this.reverse = false;
  }
  render() {
    const block = BEM.block('button-group');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier(`position-${this.position}`).class()), block.modifier(`direction-${this.direction}`).class()) }, h("div", { class: {
        'field': true,
        'is-grouped': true,
        'is-reverse': this.reverse,
        [`has-direction-${this.direction}`]: true,
      } }, h("slot", null))));
  }
};

export { ButtonGroup as bal_button_group };
