import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const CardButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Name of the icon like `edit`.
     */
    this.icon = '';
    /**
     * The type of button.
     */
    this.elementType = 'button';
    /**
     * If `true`, the user cannot interact with the button.
     */
    this.disabled = false;
    /**
     * Specifies where to display the linked URL.
     * Only applies when an `href` is provided.
     */
    this.target = '_self';
    /**
     * Name of the right button icon
     */
    this.iconRight = '';
    /**
     * If `true` the label is hidden and a loading spinner is shown instead.
     */
    this.loading = false;
  }
  render() {
    return (h(Host, { class: "bal-card-button" }, h("bal-button", { color: "info", expanded: true, "bottom-rounded": true, icon: this.icon, iconRight: this.iconRight, elementType: this.elementType, disabled: this.disabled, href: this.href, target: this.target, loading: this.loading }, h("slot", null))));
  }
};

export { CardButton as bal_card_button };
