import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { e as inheritAttributes } from './helpers-cb457e64.js';
import { B as BEM } from './bem-1b28532d.js';

const Close = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.inheritedAttributes = {};
    /**
     * Define the size of badge. Small is recommended for tabs.
     */
    this.size = '';
    /**
     * If `true` it supports dark backgrounds.
     */
    this.inverted = false;
  }
  componentWillLoad() {
    this.inheritedAttributes = inheritAttributes(this.el, ['tabindex']);
  }
  render() {
    const blockEl = BEM.block('close');
    const buttonEl = blockEl.element('button');
    const iconEl = buttonEl.element('icon');
    return (h(Host, { class: Object.assign({}, blockEl.class()) }, h("button", Object.assign({ type: "button", "aria-label": "close", class: Object.assign(Object.assign(Object.assign({}, buttonEl.class()), buttonEl.modifier('inverted').class(this.inverted)), buttonEl.modifier(`size-${this.size}`).class(this.size !== '')) }, this.inheritedAttributes), h("bal-icon", { name: "close", size: this.size === 'small' ? 'xsmall' : this.size === 'medium' ? 'medium' : 'small', inverted: this.inverted, class: Object.assign({}, iconEl.class()) }))));
  }
  get el() { return getElement(this); }
};

export { Close as bal_close };
