import { r as registerInstance, c as createEvent, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { l as lodash_isnil } from './index-e3bc1663.js';
import { B as BEM } from './bem-1b28532d.js';

const DataValue = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.balClick = createEvent(this, "balClick", 7);
    this.balFocus = createEvent(this, "balFocus", 7);
    this.balBlur = createEvent(this, "balBlur", 7);
    /**
     * If `true` a small button with a edit icon will be shown on the right.
     */
    this.editable = false;
    /**
     * If `true` the button will get disabled.
     */
    this.disabled = false;
    /**
     * If `true` the text will break and the height of the item increases.
     */
    this.multiline = false;
  }
  onClickHandler(event) {
    this.balClick.emit(event);
    const input = this.el.querySelector('bal-input');
    if (!lodash_isnil(input)) {
      input.setFocus();
    }
  }
  render() {
    const element = BEM.block('data-value');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, element.class()), element.modifier('is-editable').class(this.editable)), element.modifier('is-multiline').class(this.multiline)) }, h("div", null, h("slot", null)), h("bal-button", { class: "bal-data-value-btn", square: true, outlined: true, color: "text", size: "small", icon: "edit", disabled: this.disabled, onBalBlur: _ => this.balBlur.emit(), onBalFocus: _ => this.balFocus.emit(), onClick: ev => this.onClickHandler(ev) })));
  }
  get el() { return getElement(this); }
};

export { DataValue as bal_data_value };
