import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const Data = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` a bottom border is added to the data-item.
     */
    this.border = false;
    /**
     * If `true` the data list is horizontal instead of vertical.
     */
    this.horizontal = false;
    this.inputElements = ['bal-data-item'];
  }
  borderHandler() {
    this.updateProps([...this.inputElements], 'border');
  }
  updateProps(selectors, key) {
    const value = this[key];
    if (value !== undefined) {
      this.notifyComponents(selectors, input => (input[key] = value));
    }
  }
  notifyComponents(selectors, callback) {
    const components = this.element.querySelectorAll(selectors.join(', '));
    components.forEach((c) => callback(c));
  }
  componentWillLoad() {
    this.borderHandler();
  }
  render() {
    const block = BEM.block('data');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier('has-border').class(this.border)), block.modifier('is-horizontal').class(this.horizontal)) }, h("slot", null)));
  }
  get element() { return getElement(this); }
  static get watchers() { return {
    "border": ["borderHandler"]
  }; }
};

export { Data as bal_data };
