import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const DocBannerStatus = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.myContexts = new Map([
      [
        'rebranded',
        {
          label: 'Rebranded',
          tooltip: 'The component has adopt the new styles successfully',
        },
      ],
      [
        'sass',
        {
          label: 'SASS + BEM',
          tooltip: 'The component supports CSS variables and styles are structure with BEM',
        },
      ],
      [
        'visual',
        {
          label: 'Visual Test',
          tooltip: 'The component has a running visual test',
        },
      ],
      [
        'a11y',
        {
          label: 'a11y',
          tooltip: 'The component fulfills the AA accessibility standard',
        },
      ],
      [
        'usage',
        {
          label: 'Usage Doc',
          tooltip: 'The component has a usage documentation',
        },
      ],
      [
        'css',
        {
          label: 'CSS Customization',
          tooltip: 'The component supports its own CSS variables.',
        },
      ],
    ]);
    this.context = [];
  }
  render() {
    const tags = [];
    this.myContexts.forEach((value, key) => {
      tags.push({
        label: value.label,
        tooltip: value.tooltip,
        color: this.context.includes(key) ? 'success' : 'grey',
      });
    });
    return (h(Host, null, h("bal-tag-group", null, tags.map(t => (h("bal-tag", { size: "small", color: t.color, title: t.tooltip }, t.color === 'success' ? h("bal-icon", { inverted: true, inline: true, size: "small", name: "check" }) : '', t.label))))));
  }
  get el() { return getElement(this); }
};

export { DocBannerStatus as bal_doc_banner_status };
