import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const balDocColorCss = ".sc-bal-doc-color-h p.sc-bal-doc-color{font-family:monospace;text-align:center}";

const BalDocColor = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.inverted = false;
    this.background = false;
    this.color = '';
    this.subject = '';
    this.description = '';
  }
  render() {
    const subject = this.subject !== '' ? this.subject : this.color;
    return (h(Host, { class: "bal-app" }, h("div", { class: "has-radius-large has-shadow" }, h("div", { class: `has-background-${this.color} has-radius-top-large is-flex is-justify-content-center is-align-items-center` }, h("strong", { class: `${this.inverted ? 'has-text-white' : 'has-text-blue'} has-font-title is-size-3 py-4`, style: { minHeight: '80px' } }, this.background ? 'A-a' : '')), h("div", { class: "is-flex is-flex-direction-column is-justify-content-center is-align-items-center p-2" }, h("h5", { class: "title is-size-6 m-0" }, subject), h("bal-text", { size: "small", style: { textAlign: 'center' } }, this.description)))));
  }
};
BalDocColor.style = balDocColorCss;

export { BalDocColor as bal_doc_color };
