import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const balDocLinkListItemCss = ".bal-doc-link-list-item{position:static;display:-ms-flexbox;display:flex;-ms-flex-pack:center;justify-content:center;-ms-flex-align:center;align-items:center}";

const DocLinkListItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.image = '';
    this.subject = '';
    this.template = '';
  }
  render() {
    let { subject, image } = this;
    if (this.template === 'html5') {
      subject = 'HTML5';
      image =
        'https://raw.githubusercontent.com/baloise/design-system/master/packages/components/src/stories/assets/images/html.png';
    }
    if (this.template === 'angular') {
      subject = 'Angular';
      image =
        'https://raw.githubusercontent.com/baloise/design-system/master/packages/components/src/stories/assets/images/angular.svg';
    }
    if (this.template === 'vue') {
      subject = 'Vue';
      image =
        'https://raw.githubusercontent.com/baloise/design-system/master/packages/components/src/stories/assets/images/vue.png';
    }
    if (this.template === 'react') {
      subject = 'React';
      image =
        'https://raw.githubusercontent.com/baloise/design-system/master/packages/components/src/stories/assets/images/react.svg';
    }
    return (h(Host, { class: "bal-doc-link-list-item" }, h("img", { src: image, alt: subject }), h("span", null, h("strong", null, subject), h("slot", null))));
  }
  get el() { return getElement(this); }
};
DocLinkListItem.style = balDocLinkListItemCss;

export { DocLinkListItem as bal_doc_link_list_item };
