import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { t as tokens } from './tokens.docs-9dfbe6f1.js';

const DocTokensFontWeight = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const typography = tokens.typography;
    const weights = [];
    for (const k in typography.weights) {
      weights.push({
        name: k,
        value: typography.weights[k],
      });
    }
    return (h(Host, null, h("bal-doc-app", null, h("table", { class: "table tokens", style: { width: '100%' } }, h("thead", null, h("tr", null, h("th", { style: { minWidth: '220px' } }, "Example"), h("th", null, "Description"), h("th", { style: { minWidth: '240px' } }, "Token"))), h("tbody", null, weights.map(c => (h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("span", { class: `is-${c.name} has-font-title` }, "Headline"), h("br", null), h("span", { class: `is-${c.name} has-font-text` }, "Text")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name, " ", h("span", { class: "is-size-medium" }, "(", c.value, ")")), h("p", { class: "m-0 is-size-small" }, c.value.description)), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-weight-", c.name, ")"))))))))));
  }
  get el() { return getElement(this); }
};

export { DocTokensFontWeight as bal_doc_tokens_font_weight };
