import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { t as tokens } from './tokens.docs-9dfbe6f1.js';

const DocTokensSpacing = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const spacing = tokens.spacing;
    const sizes = [];
    const validSizes = [
      'xxxxx-large',
      'xxxx-large',
      'xxx-large',
      'xx-large',
      'x-large',
      'large',
      'medium',
      'normal',
      'small',
      'x-small',
      'xx-small',
      'none',
      'auto',
    ].reverse();
    for (const k in spacing) {
      if (validSizes.includes(k)) {
        sizes.push({
          name: k,
          value: spacing[k],
        });
      }
    }
    return (h(Host, null, h("bal-doc-app", null, h("table", { class: "table tokens", style: { width: '100%' } }, h("thead", null, h("tr", null, h("th", { style: { minWidth: '100px' } }, "Example"), h("th", null, "Description"), h("th", { style: { minWidth: '240px' } }, "Token"), h("th", { style: { minWidth: '90px' } }, "Mobile"), h("th", { style: { minWidth: '90px' } }, "Tablet"), h("th", { style: { minWidth: '90px' } }, "Desktop"))), h("tbody", null, sizes.map(c => (h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("div", { class: `pt-${c.name} mt-x-small has-background-green` })), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name, " ", h("span", { class: "is-size-medium" }, "(", c.value.legacy, ")")), h("p", { class: "m-0 is-size-small" }, c.value.description)), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-space-", c.name, ")")), h("td", { style: { verticalAlign: 'top' } }, h("span", { class: `is-bold is-size-small` }, c.value.mobile)), h("td", { style: { verticalAlign: 'top' } }, h("span", { class: `is-bold is-size-small` }, c.value.tablet)), h("td", { style: { verticalAlign: 'top' } }, h("span", { class: `is-bold is-size-small` }, c.value.desktop))))))))));
  }
  get el() { return getElement(this); }
};

export { DocTokensSpacing as bal_doc_tokens_spacing };
