import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const DocUsageItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.theme = 'do';
  }
  render() {
    const color = this.theme === 'do' ? 'success' : 'danger';
    const icon = this.theme === 'do' ? 'check-circle' : 'alert-circle';
    const title = this.subject ? this.subject : this.theme === 'do' ? 'When to use' : 'When not to use';
    return (h(Host, { class: "column bal-doc-usage-item" }, h("div", { class: {
        'p-4': true,
        'has-radius-large': true,
        [`has-background-${color}-light`]: true,
      } }, h("h3", { class: "is-size-4 mt-0 mb-4" }, h("bal-icon", { name: icon, inline: true, size: "", color: color, class: "mr-3" }), title), this.image ? (h("div", null, h("slot", null))) : (h("ul", { class: "is-list ml-6" }, h("slot", null))))));
  }
  get el() { return getElement(this); }
};

export { DocUsageItem as bal_doc_usage_item };
