import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const FieldHint = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Text of the inputs label
     */
    this.subject = '';
    /**
     * Text for the close button.
     */
    this.closeLabel = 'Close';
    /**
     * Disables the close button for tablet and desktop
     */
    this.small = false;
  }
  render() {
    const block = BEM.block('field-hint');
    return (h(Host, { class: Object.assign({}, block.class()) }, h("bal-hint", { class: Object.assign({}, block.element('hint').class()), closeLabel: this.closeLabel, small: this.small }, this.subject ? h("bal-hint-title", null, this.subject) : '', h("bal-hint-text", null, h("slot", null)))));
  }
};

export { FieldHint as bal_field_hint };
