import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { s as scrollToFirstInvalidField } from './form-2bbd2e53.js';

const Form = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` a native form element is added as a wrapper of the slot.
     */
    this.native = false;
    /**
     * If `true` it adds the novalidate attribute to the native form element.
     */
    this.novalidate = false;
  }
  /**
   * Scrolls to the first invalid field inside this form component.
   */
  async scrollToFirstInvalidField() {
    scrollToFirstInvalidField({ formEl: this.el });
  }
  render() {
    const NativeEl = this.native ? 'form' : 'div';
    let attrs = {};
    if (this.native) {
      attrs = {
        novalidate: this.novalidate,
      };
    }
    return (h(Host, null, h(NativeEl, Object.assign({}, attrs), h("slot", null))));
  }
  get el() { return getElement(this); }
};

export { Form as bal_form };
