import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const ListItemContent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, { class: {
        'bal-list__item__content': true,
        [`is-justify-content-${this.contentAlignment}`]: this.contentAlignment !== undefined,
      } }, h("slot", null)));
  }
};

const ListItemIcon = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` the icon is on the right side of the list item. Default is the left side.
     */
    this.right = false;
  }
  render() {
    return (h(Host, { class: {
        'bal-list__item__icon': true,
        'bal-list__item__icon--right': this.right,
      } }, h("slot", null)));
  }
};

export { ListItemContent as bal_list_item_content, ListItemIcon as bal_list_item_icon };
