import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const ModalHeader = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.closeHandler = () => {
      if (this.parentModal) {
        this.parentModal.dismiss(undefined, 'model-close');
      }
    };
  }
  get parentModal() {
    return this.el.closest('bal-modal');
  }
  render() {
    return (h(Host, { class: "bal-modal__header" }, h("div", { class: "bal-modal__header__title" }, h("h2", { class: "title is-size-2 m-0" }, h("slot", null))), h("bal-close", { class: "bal-modal__header__close data-test-modal-close", onClick: this.closeHandler })));
  }
  get el() { return getElement(this); }
};

export { ModalHeader as bal_modal_header };
