import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const NavbarMenuEnd = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * @internal
     * Defines the type of navbar. App is used for almost every web applications
     * like the portal app. For our sales funnel we recommend to use the simple navbar.
     * Meta and main are used for the website.
     */
    this.interface = 'app';
  }
  render() {
    const menuEndEl = BEM.block('navbar').element('menu').element('end');
    return (h(Host, { class: Object.assign(Object.assign({}, menuEndEl.class()), menuEndEl.modifier(`context-${this.interface}`).class()) }, h("slot", null)));
  }
};

export { NavbarMenuEnd as bal_navbar_menu_end };
