import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { d as deepReady } from './helpers-cb457e64.js';
import { B as BEM } from './bem-1b28532d.js';

const NavbarMenu = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.isMenuActive = false;
    /**
     * @internal
     * Defines the type of navbar. App is used for almost every web applications
     * like the portal app. For our sales funnel we recommend to use the simple navbar.
     * Meta and main are used for the website.
     */
    this.interface = 'app';
  }
  /**
   * @internal - If the menu is open it closes it and the other way around.
   */
  async toggle(isMenuActive) {
    this.isMenuActive = isMenuActive;
    const tabsElement = this.element.querySelector('bal-tabs');
    if (tabsElement) {
      await deepReady(tabsElement);
      tabsElement.renderLine();
    }
  }
  render() {
    const menuEl = BEM.block('navbar').element('menu');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, menuEl.class()), menuEl.modifier('active').class(this.isMenuActive)), menuEl.modifier(`context-${this.interface}`).class()) }, h("slot", null)));
  }
  get element() { return getElement(this); }
};

export { NavbarMenu as bal_navbar_menu };
