import { r as registerInstance, c as createEvent, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { r as readSubLevels } from './level.utils-f257c28d.js';

const NavigationLevelMeta = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.balClick = createEvent(this, "balClick", 7);
    this.label = '';
    this.value = `meta-value-${navigationLevelMetaIds++}`;
  }
  async getLevelInfo() {
    const subLevels = await readSubLevels(this.el, 'bal-navigation-level-main');
    return {
      type: 'meta',
      value: this.value,
      label: this.label,
      link: this.link,
      linkLabel: this.linkLabel,
      isTabLink: this.isTabLink,
      subLevels,
      onClick: (event) => this.balClick.emit(event),
    };
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  get el() { return getElement(this); }
};
let navigationLevelMetaIds = 0;

export { NavigationLevelMeta as bal_navigation_level_meta };
