import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';
import { i as isPlatform } from './platform-5ceddd42.js';

const NavigationMenuList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Color of the menu list card background
     */
    this.color = 'white';
    /**
     * Target of the menu list card headline target as link
     */
    this.target = '_self';
    this.setHeadingLevel = () => {
      if (isPlatform('touch')) {
        this.headingLevel = 'h4';
        return;
      }
      this.headingLevel = 'h3';
    };
  }
  async resizeHandler() {
    this.setHeadingLevel();
  }
  connectedCallback() {
    this.setHeadingLevel();
  }
  render() {
    const navMenuListEl = BEM.block('nav').element('menu').element('list');
    return (h(Host, { class: Object.assign(Object.assign({}, navMenuListEl.class()), navMenuListEl.modifier(`context-${this.color}`).class()) }, h("bal-card", { class: Object.assign({}, navMenuListEl.element('card').class()), flat: true, color: this.color === 'grey' ? this.color : '' }, h("bal-card-content", null, this.href ? (h("a", { href: this.href, target: this.target }, h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline))) : (h("bal-heading", { class: Object.assign({}, navMenuListEl.element('card').element('heading').class()), level: this.headingLevel, space: "none" }, this.headline)), h("slot", { name: "links" })))));
  }
};

const NavigationMenuListItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.target = '_self';
  }
  render() {
    const navMenuListItemEl = BEM.block('nav').element('menu').element('list').element('item');
    return (h(Host, { class: Object.assign({}, navMenuListItemEl.class()) }, h("a", { class: Object.assign({}, navMenuListItemEl.element('link').class()), href: this.href, target: this.target }, h("slot", null))));
  }
};

export { NavigationMenuList as bal_navigation_menu_list, NavigationMenuListItem as bal_navigation_menu_list_item };
