import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

/*!
  * Baloise Design System
  * (c) 2022 Gery Hirschfeld, Yannick Holzenkamp, Petar Nobilo, Laurent Tauber, Mladen Planinicic, Andreas Stebler
  * @license Apache-2.0
  */
const e={balTablet:"769px",balDesktop:"1024px",balHighDefinition:"1280px",balWidescreen:"1440px",balFullhd:"1920px",balContainerSpace:"1rem",balContainerSpaceTablet:"2.5rem",balContainerSpaceDesktop:"3rem",balContainerMaxWidth:"1400px",balColorTransparent:"transparent",balColorWhite:"#ffffff",balColorBlack:"#000000",balColorGrey1:"#fafafa",balColorGrey2:"#f6f6f6",balColorGrey3:"#e8e8e8",balColorGrey4:"#b6b6b6",balColorGrey5:"#747474",balColorGrey6:"#313131",balColorBlue1:"#e5e7f0",balColorBlue2:"#b3b6d4",balColorBlue3:"#656ea8",balColorBlue4:"#293485",balColorBlue5:"#000d6e",balColorBlue6:"#000739",balColorLightBlue1:"#e5f1fe",balColorLightBlue2:"#a7d1fa",balColorLightBlue3:"#56a7f5",balColorLightBlue4:"#6672cc",balColorLightBlue5:"#0014aa",balColorLightBlue6:"#000a55",balColorPurple1:"#f9f3ff",balColorPurple2:"#e1d9ff",balColorPurple3:"#b8b2ff",balColorPurple4:"#be82fa",balColorPurple5:"#9f52cc",balColorPurple6:"#6c2273",balColorGreen1:"#e9fbf7",balColorGreen2:"#cbf2ec",balColorGreen3:"#94e3d4",balColorGreen4:"#21d9ac",balColorGreen5:"#00b28f",balColorGreen6:"#1b5951",balColorYellow1:"#fff9e8",balColorYellow2:"#ffecbc",balColorYellow3:"#fae052",balColorYellow4:"#ffbe19",balColorYellow5:"#fa9319",balColorYellow6:"#b24a00",balColorRed1:"#ffeef1",balColorRed2:"#ffd7d7",balColorRed3:"#ffaca6",balColorRed4:"#ff596f",balColorRed5:"#d9304c",balColorRed6:"#99172d",balColorInfo1:"#e8f1fb",balColorInfo2:"#a4c9ed",balColorInfo3:"#60a0e0",balColorInfo4:"#1c77d2",balColorInfo5:"#155ba3",balColorInfo6:"#0e457b",balColorSuccess1:"#e8f3ec",balColorSuccess2:"#a1cfb3",balColorSuccess3:"#5bab7a",balColorSuccess4:"#168741",balColorSuccess5:"#116b34",balColorSuccess6:"#0b5227",balColorWarning1:"#fff9e8",balColorWarning2:"#ffe5a3",balColorWarning3:"#ffd25e",balColorWarning4:"#ffbe19",balColorWarning5:"#f99319",balColorWarning6:"#c97612",balColorDanger1:"#fce8e6",balColorDanger2:"#f7a299",balColorDanger3:"#f05d4d",balColorDanger4:"#ea1800",balColorDanger5:"#cb1501",balColorDanger6:"#a01100",balColorPrimary1:"#e5e7f0",balColorPrimary2:"#b3b6d4",balColorPrimary3:"#656ea8",balColorPrimary4:"#293485",balColorPrimary5:"#000d6e",balColorPrimary6:"#000739",balColorPrimary:"#000d6e",balColorPrimaryLight:"#e5e7f0",balColorPrimaryDark:"#000739",balColorGreyLight:"#fafafa",balColorGreyDark:"#747474",balColorGrey:"#e8e8e8",balColorBlueLight:"#e5e7f0",balColorBlueDark:"#000739",balColorBlue:"#000d6e",balColorPrimaryHover:"#0014aa",balColorPrimaryActive:"#000739",balColorLightBlue:"#e5f1fe",balColorLightBlueDark:"#0014aa",balColorLightBlueHover:"#e5f1fe",balColorLightBlueActive:"#e5f1fe",balColorPurpleLight:"#f9f3ff",balColorPurpleDark:"#6c2273",balColorPurple:"#b8b2ff",balColorGreenLight:"#e9fbf7",balColorGreenDark:"#1b5951",balColorGreen:"#94e3d4",balColorYellowLight:"#fff9e8",balColorYellowDark:"#b24a00",balColorYellow:"#fae052",balColorRedLight:"#ffeef1",balColorRedDark:"#99172d",balColorRed:"#ffaca6",balColorInfoLight:"#e8f1fb",balColorInfo:"#60a0e0",balColorInfoDark:"#0e457b",balColorSuccessLight:"#e8f3ec",balColorSuccess:"#5bab7a",balColorSuccessDark:"#0b5227",balColorWarningLight:"#fff9e8",balColorWarning:"#ffd25e",balColorWarningDark:"#c97612",balColorDangerLight:"#fce8e6",balColorDanger:"#f05d4d",balColorDangerDark:"#a01100",balColorValid:"#e8f3ec",balColorInvalid:"#fce8e6",balColorDisabled:"#f6f6f6",balColorBackground:"#ffffff",balColorBackgroundLight:"#fafafa",balColorTextPrimary:"#000d6e",balColorTextBlue:"#000d6e",balColorTextBlack:"#000000",balColorTextNormal:"#000d6e",balColorTextLightBlue:"#0014aa",balColorTextHover:"#0014aa",balColorTextBlueDark:"#000739",balColorTextActive:"#000739",balColorTextWhite:"#ffffff",balColorTextBlueLight:"#656ea8",balColorTextHint:"#656ea8",balColorTextHelp:"#656ea8",balColorTextSuccess:"#168741",balColorTextValid:"#168741",balColorTextDanger:"#ea1800",balColorTextInvalid:"#ea1800",balColorTextWarning:"#f99319",balColorTextGrey:"#747474",balColorTextDisabled:"#747474",balColorBorderPrimary:"#000d6e",balColorBorderActive:"#000d6e",balColorBorderNormal:"#e8e8e8",balColorBorderHover:"#b6b6b6",balColorBorderDisabled:"#b6b6b6",balColorBorderWarning:"#f99319",balColorBorderSuccess:"#168741",balColorBorderDanger:"#ea1800",balColorBorderValid:"#168741",balColorBorderInvalid:"#ea1800",balColorTransparentInverted:"transparent",balColorWhiteInverted:"#000d6e",balColorBlackInverted:"#ffffff",balColorGrey1Inverted:"#000d6e",balColorGrey2Inverted:"#000d6e",balColorGrey3Inverted:"#000d6e",balColorGrey4Inverted:"#000d6e",balColorGrey5Inverted:"#ffffff",balColorGrey6Inverted:"#ffffff",balColorBlue1Inverted:"#000d6e",balColorBlue2Inverted:"#000d6e",balColorBlue3Inverted:"#000d6e",balColorBlue4Inverted:"#ffffff",balColorBlue5Inverted:"#ffffff",balColorBlue6Inverted:"#ffffff",balColorLightBlue1Inverted:"#000d6e",balColorLightBlue2Inverted:"#000d6e",balColorLightBlue3Inverted:"#000d6e",balColorLightBlue4Inverted:"#ffffff",balColorLightBlue5Inverted:"#ffffff",balColorLightBlue6Inverted:"#ffffff",balColorPurple1Inverted:"#000d6e",balColorPurple2Inverted:"#000d6e",balColorPurple3Inverted:"#000d6e",balColorPurple4Inverted:"#ffffff",balColorPurple5Inverted:"#ffffff",balColorPurple6Inverted:"#ffffff",balColorGreen1Inverted:"#000d6e",balColorGreen2Inverted:"#000d6e",balColorGreen3Inverted:"#000d6e",balColorGreen4Inverted:"#ffffff",balColorGreen5Inverted:"#ffffff",balColorGreen6Inverted:"#ffffff",balColorYellow1Inverted:"#000d6e",balColorYellow2Inverted:"#000d6e",balColorYellow3Inverted:"#000d6e",balColorYellow4Inverted:"#ffffff",balColorYellow5Inverted:"#ffffff",balColorYellow6Inverted:"#ffffff",balColorRed1Inverted:"#000d6e",balColorRed2Inverted:"#000d6e",balColorRed3Inverted:"#000d6e",balColorRed4Inverted:"#ffffff",balColorRed5Inverted:"#ffffff",balColorRed6Inverted:"#ffffff",balColorInfo1Inverted:"#000d6e",balColorInfo2Inverted:"#000d6e",balColorInfo3Inverted:"#000d6e",balColorInfo4Inverted:"#ffffff",balColorInfo5Inverted:"#ffffff",balColorInfo6Inverted:"#ffffff",balColorSuccess1Inverted:"#000d6e",balColorSuccess2Inverted:"#000d6e",balColorSuccess3Inverted:"#000d6e",balColorSuccess4Inverted:"#ffffff",balColorSuccess5Inverted:"#ffffff",balColorSuccess6Inverted:"#ffffff",balColorWarning1Inverted:"#000d6e",balColorWarning2Inverted:"#000d6e",balColorWarning3Inverted:"#000d6e",balColorWarning4Inverted:"#000d6e",balColorWarning5Inverted:"#ffffff",balColorWarning6Inverted:"#ffffff",balColorDanger1Inverted:"#000d6e",balColorDanger2Inverted:"#000d6e",balColorDanger3Inverted:"#000d6e",balColorDanger4Inverted:"#ffffff",balColorDanger5Inverted:"#ffffff",balColorDanger6Inverted:"#ffffff",balColorPrimary1Inverted:"#000d6e",balColorPrimary2Inverted:"#000d6e",balColorPrimary3Inverted:"#000d6e",balColorPrimary4Inverted:"#ffffff",balColorPrimary5Inverted:"#ffffff",balColorPrimary6Inverted:"#ffffff",balColorPrimaryInverted:"#ffffff",balColorPrimaryLightInverted:"#000d6e",balColorPrimaryDarkInverted:"#ffffff",balColorGreyLightInverted:"#000d6e",balColorGreyDarkInverted:"#ffffff",balColorGreyInverted:"#000d6e",balColorBlueLightInverted:"#000d6e",balColorBlueDarkInverted:"#ffffff",balColorBlueInverted:"#ffffff",balColorPrimaryHoverInverted:"#ffffff",balColorPrimaryActiveInverted:"#ffffff",balColorLightBlueInverted:"#000d6e",balColorLightBlueDarkInverted:"#ffffff",balColorLightBlueHoverInverted:"#000d6e",balColorLightBlueActiveInverted:"#000d6e",balColorPurpleLightInverted:"#000d6e",balColorPurpleDarkInverted:"#ffffff",balColorPurpleInverted:"#000d6e",balColorGreenLightInverted:"#000d6e",balColorGreenDarkInverted:"#ffffff",balColorGreenInverted:"#000d6e",balColorYellowLightInverted:"#000d6e",balColorYellowDarkInverted:"#ffffff",balColorYellowInverted:"#000d6e",balColorRedLightInverted:"#000d6e",balColorRedDarkInverted:"#ffffff",balColorRedInverted:"#000d6e",balColorInfoLightInverted:"#000d6e",balColorInfoInverted:"#000d6e",balColorInfoDarkInverted:"#ffffff",balColorSuccessLightInverted:"#000d6e",balColorSuccessInverted:"#000d6e",balColorSuccessDarkInverted:"#ffffff",balColorWarningLightInverted:"#000d6e",balColorWarningInverted:"#000d6e",balColorWarningDarkInverted:"#ffffff",balColorDangerLightInverted:"#000d6e",balColorDangerInverted:"#000d6e",balColorDangerDarkInverted:"#ffffff",balColorValidInverted:"#000d6e",balColorInvalidInverted:"#000d6e",balColorDisabledInverted:"#000d6e",balColorBackgroundInverted:"#000d6e",balColorBackgroundLightInverted:"#000d6e",balColumnGap:"1rem",balRadiusNone:"0",balRadiusSmall:"0.25rem",balRadius:"0.25rem",balRadiusLarge:"0.75rem",balRadiusXLarge:"1rem",balRadiusRounded:"9999px",balShadowNone:"none",balShadow:"0 0 10px 0 rgba(0, 7, 57, 0.15)",balShadowLarge:"0 0 30px 0 rgba(0, 7, 57, 0.15)",balWeightBold:"700",balWeightRegular:"400",balWeightLight:"300",balFontFamilyTitle:"BaloiseCreateHeadline, Arial, sans-serif",balFontFamilyText:"BaloiseCreateText, Arial, sans-serif",balSizeXxxxxLarge:"3rem",balLineHeightXxxxxLarge:"3.5rem",balSizeTabletXxxxxLarge:"5rem",balLineHeightTabletXxxxxLarge:"6rem",balSizeDesktopXxxxxLarge:"5rem",balLineHeightDesktopXxxxxLarge:"6rem",balSizeXxxxLarge:"2rem",balLineHeightXxxxLarge:"2.5rem",balSizeTabletXxxxLarge:"3rem",balLineHeightTabletXxxxLarge:"3.5rem",balSizeDesktopXxxxLarge:"3rem",balLineHeightDesktopXxxxLarge:"3.5rem",balSizeXxxLarge:"1.75rem",balLineHeightXxxLarge:"2rem",balSizeTabletXxxLarge:"2.5rem",balLineHeightTabletXxxLarge:"3rem",balSizeDesktopXxxLarge:"2.5rem",balLineHeightDesktopXxxLarge:"3rem",balSizeXxLarge:"1.5rem",balLineHeightXxLarge:"2rem",balSizeTabletXxLarge:"2rem",balLineHeightTabletXxLarge:"2.5rem",balSizeDesktopXxLarge:"2rem",balLineHeightDesktopXxLarge:"2.5rem",balSizeXLarge:"1.25rem",balLineHeightXLarge:"2rem",balSizeTabletXLarge:"1.5rem",balLineHeightTabletXLarge:"2rem",balSizeDesktopXLarge:"1.5rem",balLineHeightDesktopXLarge:"2rem",balSizeLarge:"1.125rem",balLineHeightLarge:"1.5rem",balSizeTabletLarge:"1.25rem",balLineHeightTabletLarge:"2rem",balSizeDesktopLarge:"1.25rem",balLineHeightDesktopLarge:"2rem",balSizeMedium:"1rem",balLineHeightMedium:"1.5rem",balSizeTabletMedium:"1.125rem",balLineHeightTabletMedium:"1.625rem",balSizeDesktopMedium:"1.125rem",balLineHeightDesktopMedium:"1.625rem",balSizeNormal:"1rem",balLineHeightNormal:"1.5rem",balSizeTabletNormal:"1rem",balLineHeightTabletNormal:"1.5rem",balSizeDesktopNormal:"1rem",balLineHeightDesktopNormal:"1.5rem",balSizeSmall:"0.875rem",balLineHeightSmall:"1.125rem",balSizeTabletSmall:"0.875rem",balLineHeightTabletSmall:"1.125rem",balSizeDesktopSmall:"0.875rem",balLineHeightDesktopSmall:"1.125rem",balSizeXSmall:"0.75rem",balLineHeightXSmall:"1rem",balSizeTabletXSmall:"0.75rem",balLineHeightTabletXSmall:"1rem",balSizeDesktopXSmall:"0.75rem",balLineHeightDesktopXSmall:"1rem",balSize1:"1.75rem",balLineHeight1:"2rem",balSizeTablet1:"2.5rem",balLineHeightTablet1:"3rem",balSizeDesktop1:"2.5rem",balLineHeightDesktop1:"3rem",balSize2:"1.5rem",balLineHeight2:"2rem",balSizeTablet2:"2rem",balLineHeightTablet2:"2.5rem",balSizeDesktop2:"2rem",balLineHeightDesktop2:"2.5rem",balSize3:"1.25rem",balLineHeight3:"2rem",balSizeTablet3:"1.5rem",balLineHeightTablet3:"2rem",balSizeDesktop3:"1.5rem",balLineHeightDesktop3:"2rem",balSize4:"1.125rem",balLineHeight4:"1.5rem",balSizeTablet4:"1.25rem",balLineHeightTablet4:"2rem",balSizeDesktop4:"1.25rem",balLineHeightDesktop4:"2rem",balSize5:"1rem",balLineHeight5:"1.5rem",balSizeTablet5:"1rem",balLineHeightTablet5:"1.5rem",balSizeDesktop5:"1rem",balLineHeightDesktop5:"1.5rem",balSize6:"0.875rem",balLineHeight6:"1.125rem",balSizeTablet6:"0.875rem",balLineHeightTablet6:"1.125rem",balSizeDesktop6:"0.875rem",balLineHeightDesktop6:"1.125rem",balSize7:"0.75rem",balLineHeight7:"1rem",balSizeTablet7:"0.75rem",balLineHeightTablet7:"1rem",balSizeDesktop7:"0.75rem",balLineHeightDesktop7:"1rem",balSizeDisplay:"3rem",balLineHeightDisplay:"3.5rem",balSizeTabletDisplay:"5rem",balLineHeightTabletDisplay:"6rem",balSizeDesktopDisplay:"5rem",balLineHeightDesktopDisplay:"6rem",balSizeDisplay2:"2rem",balLineHeightDisplay2:"2.5rem",balSizeTabletDisplay2:"3rem",balLineHeightTabletDisplay2:"3.5rem",balSizeDesktopDisplay2:"3rem",balLineHeightDesktopDisplay2:"3.5rem",balSpaceAuto:"auto",balSpaceTabletAuto:"auto",balSpaceDesktopAuto:"auto",balSpaceNone:"0",balSpaceTabletNone:"0",balSpaceDesktopNone:"0",balSpaceXxSmall:"0.25rem",balSpaceTabletXxSmall:"0.25rem",balSpaceDesktopXxSmall:"0.25rem",balSpaceXSmall:"0.5rem",balSpaceTabletXSmall:"0.5rem",balSpaceDesktopXSmall:"0.5rem",balSpaceSmall:"0.75rem",balSpaceTabletSmall:"0.75rem",balSpaceDesktopSmall:"0.75rem",balSpaceNormal:"1rem",balSpaceTabletNormal:"1rem",balSpaceDesktopNormal:"1rem",balSpaceMedium:"1.25rem",balSpaceTabletMedium:"1.25rem",balSpaceDesktopMedium:"1.5rem",balSpaceLarge:"1.5rem",balSpaceTabletLarge:"1.5rem",balSpaceDesktopLarge:"2rem",balSpaceXLarge:"2rem",balSpaceTabletXLarge:"2.5rem",balSpaceDesktopXLarge:"3rem",balSpaceXxLarge:"3rem",balSpaceTabletXxLarge:"3.5rem",balSpaceDesktopXxLarge:"4rem",balSpaceXxxLarge:"3.5rem",balSpaceTabletXxxLarge:"4.5rem",balSpaceDesktopXxxLarge:"6rem",balSpaceXxxxLarge:"4rem",balSpaceTabletXxxxLarge:"6rem",balSpaceDesktopXxxxLarge:"8rem",balSpace0:"0",balSpaceTablet0:"0",balSpaceDesktop0:"0",balSpace1:"0.25rem",balSpaceTablet1:"0.25rem",balSpaceDesktop1:"0.25rem",balSpace2:"0.5rem",balSpaceTablet2:"0.5rem",balSpaceDesktop2:"0.5rem",balSpace3:"0.75rem",balSpaceTablet3:"0.75rem",balSpaceDesktop3:"0.75rem",balSpace4:"1rem",balSpaceTablet4:"1rem",balSpaceDesktop4:"1rem",balSpace5:"1.25rem",balSpaceTablet5:"1.25rem",balSpaceDesktop5:"1.5rem",balSpace6:"1.5rem",balSpaceTablet6:"1.5rem",balSpaceDesktop6:"2rem",balSpace7:"2rem",balSpaceTablet7:"2.5rem",balSpaceDesktop7:"3rem",balSpace8:"3rem",balSpaceTablet8:"3.5rem",balSpaceDesktop8:"4rem",balSpace9:"3.5rem",balSpaceTablet9:"4.5rem",balSpaceDesktop9:"6rem",balSpace10:"4rem",balSpaceTablet10:"6rem",balSpaceDesktop10:"8rem"};

const Shape = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * The shape variation
     */
    this.variation = '1';
    /**
     * The shape color
     */
    this.color = 'green';
    /**
     * The shape rotation
     */
    this.rotation = '0';
    this.getHex = () => {
      let color;
      switch (this.color) {
        case 'green':
          color = e.balColorGreen6;
          break;
        case 'green-light':
          color = e.balColorGreen3;
          break;
        case 'red':
          color = e.balColorRed5;
          break;
        case 'red-light':
          color = e.balColorRed3;
          break;
        case 'purple':
          color = e.balColorPurple6;
          break;
        case 'purple-light':
          color = e.balColorPurple3;
          break;
        case 'yellow':
          color = e.balColorYellow5;
          break;
        case 'yellow-light':
          color = e.balColorYellow3;
          break;
        default:
          color = e.balColorGrey4;
      }
      return color;
    };
  }
  render() {
    const block = BEM.block('shape');
    const shapes = [
      h("g", { id: "e8353d3b-35a2-4e20-9245-0eceed641ae5" }, h("g", { id: "af87362a-72b2-42cf-8efe-c9917dc1f7f6" }, h("path", { class: "st0", d: "M132,66v66H66V66H132z M132,0v66H66V0H132z M66,0v66H0V6.4C0,4.2,0,3,0.4,2.2c0.4-0.7,1-1.4,1.7-1.7\n            C3,0,4.2,0,6.4,0H66z M191.6,0c2.2,0,3.4,0,4.2,0.4c0.7,0.4,1.4,1,1.7,1.7c0.4,0.9,0.4,2,0.4,4.2V66h-66V0H191.6z M0,125.6V66h66\n            v66H6.4H0 M198,132v59.6c0,2.2,0,3.4-0.4,4.2c-0.4,0.7-1,1.4-1.7,1.7c-0.9,0.4-2,0.4-4.2,0.4H132v-66H198z" }))),
      h("g", { id: "b949d602-8478-437e-a171-ad3f26649cb4" }, h("g", { id: "ae3574e0-2065-4681-8937-4318b8656147" }, h("path", { class: "b9f37b2d-094d-4f18-b17c-7c5acf36f9a6", d: "M132,66v66H66V66ZM191.6,0c2.24,0,3.36,0,4.22.44a4,4,0,0,1,1.74,1.74c.44.86.44,2,.44,4.22V66H132V0ZM66,0V66H0V6.4C0,4.16,0,3,.44,2.18A4,4,0,0,1,2.18.44C3,0,4.16,0,6.4,0Zm0,132v66H6.4c-2.24,0-3.36,0-4.22-.44a4,4,0,0,1-1.74-1.74C0,195,0,193.84,0,191.6V132Zm66,0v66H66V132Zm66,0v59.6c0,2.24,0,3.36-.44,4.22a4,4,0,0,1-1.74,1.74c-.86.44-2,.44-4.22.44H132V132Zm0-66v66H132V66Z" }))),
      h("g", { id: "e827a936-cbcd-43b3-971a-aa8f8714fdff" }, h("g", { id: "e540dca8-23ca-45dc-b462-df9071c1317d" }, h("path", { class: "st0", d: "M132,66v66H66V66H132z M132,0v66H66V0H132z M66,0v66H0V6.4C0,4.2,0,3,0.4,2.2c0.4-0.7,1-1.4,1.7-1.7\n            C3,0,4.2,0,6.4,0H66z M66,132v66H6.4c-2.2,0-3.4,0-4.2-0.4c-0.7-0.4-1.4-1-1.7-1.7C0,195,0,193.8,0,191.6V132H66z M132,132v66H66\n            v-66H132z M198,132v59.6c0,2.2,0,3.4-0.4,4.2c-0.4,0.7-1,1.4-1.7,1.7c-0.9,0.4-2,0.4-4.2,0.4H132v-66H198z M198,66v66h-66V66" }))),
    ];
    return (h(Host, { class: Object.assign(Object.assign({}, block.class()), block.modifier(`is-rotation-${this.rotation}`).class()) }, h("svg", { version: "1.1", x: "0px", y: "0px", viewBox: "0 0 198 198", fill: this.getHex() }, shapes[parseInt(this.variation) - 1])));
  }
  get el() { return getElement(this); }
};

export { Shape as bal_shape };
