import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const Sheet = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Defines content width of the stage
     */
    this.containerSize = '';
  }
  render() {
    const block = BEM.block('sheet');
    const container = block.element('container');
    const containerInner = container.element('inner');
    const containerModifier = this.containerSize !== '' ? `is-${this.containerSize}` : '';
    return (h(Host, { class: Object.assign({}, block.class()) }, h("div", { class: Object.assign(Object.assign({}, container.class()), { container: true, [containerModifier]: true }) }, h("div", { class: Object.assign({}, containerInner.class()) }, h("slot", null)))));
  }
};

export { Sheet as bal_sheet };
