import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const StageBackLink = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` adds a text shadow to improve readability on image background
     * */
    this.shadow = false;
    /**
     * If `true` the color gets inverted for dark backgrounds
     */
    this.inverted = false;
  }
  render() {
    const block = BEM.block('stage-back-link');
    return (h(Host, { class: Object.assign({}, block.class()) }, h("a", { class: {
        'is-link': true,
        'is-inverted': this.inverted,
        'has-blur-shadow': this.shadow,
      }, href: this.href }, h("bal-icon", { class: "mr-2", name: "caret-left", size: "xsmall", inverted: this.inverted, shadow: this.shadow }), h("slot", null))));
  }
  get el() { return getElement(this); }
};

export { StageBackLink as bal_stage_back_link };
