const color = {
	transparent: {
		hex: "transparent",
		inverted: "transparent",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	white: {
		hex: "#ffffff",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	black: {
		hex: "#000000",
		inverted: "white",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-1": {
		hex: "#fafafa",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-2": {
		hex: "#f6f6f6",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-3": {
		hex: "#e8e8e8",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-4": {
		hex: "#b6b6b6",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-5": {
		hex: "#747474",
		inverted: "white",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"grey-6": {
		hex: "#313131",
		inverted: "white",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element."
	},
	"blue-1": {
		hex: "#e5e7f0",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"blue-2": {
		hex: "#b3b6d4",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"blue-3": {
		hex: "#656ea8",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"blue-4": {
		hex: "#293485",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"blue-5": {
		hex: "#000d6e",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"blue-6": {
		hex: "#000739",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue."
	},
	"light-blue-1": {
		hex: "#e5f1fe",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"light-blue-2": {
		hex: "#a7d1fa",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"light-blue-3": {
		hex: "#56a7f5",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"light-blue-4": {
		hex: "#6672cc",
		inverted: "white",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"light-blue-5": {
		hex: "#0014aa",
		inverted: "white",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"light-blue-6": {
		hex: "#000a55",
		inverted: "white",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations."
	},
	"purple-1": {
		hex: "#f9f3ff",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"purple-2": {
		hex: "#e1d9ff",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"purple-3": {
		hex: "#b8b2ff",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"purple-4": {
		hex: "#be82fa",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"purple-5": {
		hex: "#9f52cc",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"purple-6": {
		hex: "#6c2273",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-1": {
		hex: "#e9fbf7",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-2": {
		hex: "#cbf2ec",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-3": {
		hex: "#94e3d4",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-4": {
		hex: "#21d9ac",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-5": {
		hex: "#00b28f",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"green-6": {
		hex: "#1b5951",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-1": {
		hex: "#fff9e8",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-2": {
		hex: "#ffecbc",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-3": {
		hex: "#fae052",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-4": {
		hex: "#ffbe19",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-5": {
		hex: "#fa9319",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"yellow-6": {
		hex: "#b24a00",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-1": {
		hex: "#ffeef1",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-2": {
		hex: "#ffd7d7",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-3": {
		hex: "#ffaca6",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-4": {
		hex: "#ff596f",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-5": {
		hex: "#d9304c",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"red-6": {
		hex: "#99172d",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements."
	},
	"info-1": {
		hex: "#e8f1fb",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"info-2": {
		hex: "#a4c9ed",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"info-3": {
		hex: "#60a0e0",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"info-4": {
		hex: "#1c77d2",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"info-5": {
		hex: "#155ba3",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"info-6": {
		hex: "#0e457b",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-1": {
		hex: "#e8f3ec",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-2": {
		hex: "#a1cfb3",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-3": {
		hex: "#5bab7a",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-4": {
		hex: "#168741",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-5": {
		hex: "#116b34",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"success-6": {
		hex: "#0b5227",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-1": {
		hex: "#fff9e8",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-2": {
		hex: "#ffe5a3",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-3": {
		hex: "#ffd25e",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-4": {
		hex: "#ffbe19",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-5": {
		hex: "#f99319",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"warning-6": {
		hex: "#c97612",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-1": {
		hex: "#fce8e6",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-2": {
		hex: "#f7a299",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-3": {
		hex: "#f05d4d",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-4": {
		hex: "#ea1800",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-5": {
		hex: "#cb1501",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"danger-6": {
		hex: "#a01100",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette."
	},
	"primary-1": {
		hex: "#e5e7f0",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-1"
	},
	"primary-2": {
		hex: "#b3b6d4",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-2"
	},
	"primary-3": {
		hex: "#656ea8",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-3"
	},
	"primary-4": {
		hex: "#293485",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-4"
	},
	"primary-5": {
		hex: "#000d6e",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-5"
	},
	"primary-6": {
		hex: "#000739",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-6"
	},
	primary: {
		hex: "#000d6e",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "primary-5"
	},
	"primary-light": {
		hex: "#e5e7f0",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "primary-1"
	},
	"primary-dark": {
		hex: "#000739",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "primary-6"
	},
	"grey-light": {
		hex: "#fafafa",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "grey-1"
	},
	"grey-dark": {
		hex: "#747474",
		inverted: "white",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "grey-5"
	},
	grey: {
		hex: "#e8e8e8",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "grey-3"
	},
	"blue-light": {
		hex: "#e5e7f0",
		inverted: "primary",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-1"
	},
	"blue-dark": {
		hex: "#000739",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-6"
	},
	blue: {
		hex: "#000d6e",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "blue-5"
	},
	"primary-hover": {
		hex: "#0014aa",
		inverted: "white",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations.",
		alias: "light-blue-5"
	},
	"primary-active": {
		hex: "#000739",
		inverted: "white",
		description: "Blue is our accent color and it is present on every touchpoint. Our logo, text, buttons and links are blue.",
		alias: "primary-6"
	},
	"light-blue": {
		hex: "#e5f1fe",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations.",
		alias: "light-blue-1"
	},
	"light-blue-dark": {
		hex: "#0014aa",
		inverted: "white",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations.",
		alias: "light-blue-5"
	},
	"light-blue-hover": {
		hex: "#e5f1fe",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations.",
		alias: "light-blue-1"
	},
	"light-blue-active": {
		hex: "#e5f1fe",
		inverted: "primary",
		description: "These colors are a functional extension of the accent color and are meant to be used only for specific cases and situations.",
		alias: "light-blue-1"
	},
	"purple-light": {
		hex: "#f9f3ff",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "purple-1"
	},
	"purple-dark": {
		hex: "#6c2273",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "purple-6"
	},
	purple: {
		hex: "#b8b2ff",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "purple-3"
	},
	"green-light": {
		hex: "#e9fbf7",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "green-1"
	},
	"green-dark": {
		hex: "#1b5951",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "green-6"
	},
	green: {
		hex: "#94e3d4",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "green-3"
	},
	"yellow-light": {
		hex: "#fff9e8",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "yellow-1"
	},
	"yellow-dark": {
		hex: "#b24a00",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "yellow-6"
	},
	yellow: {
		hex: "#fae052",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "yellow-3"
	},
	"red-light": {
		hex: "#ffeef1",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "red-1"
	},
	"red-dark": {
		hex: "#99172d",
		inverted: "white",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "red-6"
	},
	red: {
		hex: "#ffaca6",
		inverted: "primary",
		description: "Our primary colors play the main role in our brand identity. A vibrant set of fresh shades is the center point of the color palette. They are used to provide accessibility, simplicity, and consistency throughout all brand communications. They are used for Baloise Shapes, Illustrations, background colors and to highlight design elements.",
		alias: "red-3"
	},
	"info-light": {
		hex: "#e8f1fb",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "info-1"
	},
	info: {
		hex: "#60a0e0",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "info-3"
	},
	"info-dark": {
		hex: "#0e457b",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "info-6"
	},
	"success-light": {
		hex: "#e8f3ec",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "success-1"
	},
	success: {
		hex: "#5bab7a",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "success-3"
	},
	"success-dark": {
		hex: "#0b5227",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "success-6"
	},
	"warning-light": {
		hex: "#fff9e8",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "warning-1"
	},
	warning: {
		hex: "#ffd25e",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "warning-3"
	},
	"warning-dark": {
		hex: "#c97612",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "warning-6"
	},
	"danger-light": {
		hex: "#fce8e6",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "danger-1"
	},
	danger: {
		hex: "#f05d4d",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "danger-3"
	},
	"danger-dark": {
		hex: "#a01100",
		inverted: "white",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "danger-6"
	},
	valid: {
		hex: "#e8f3ec",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "success-light"
	},
	invalid: {
		hex: "#fce8e6",
		inverted: "primary",
		description: "To draw attention to important information or actions we used our Alert colors palette.",
		alias: "danger-light"
	},
	disabled: {
		hex: "#f6f6f6",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "grey-2"
	},
	background: {
		hex: "#ffffff",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "white"
	},
	"background-light": {
		hex: "#fafafa",
		inverted: "primary",
		description: "Neutral colors are typically used for text, borders and subtle backgrounds when we don't want to draw too much attention to a particular design element.",
		alias: "grey-light"
	}
};
const breakpoint = {
	tablet: "769px",
	desktop: "1024px",
	"high-definition": "1280px",
	widescreen: "1440px",
	fullhd: "1920px"
};
const container = {
	maxWidth: "1400px",
	space: {
		mobile: "1rem",
		tablet: "2.5rem",
		desktop: "3rem"
	}
};
const radius = {
	none: {
		value: "0"
	},
	small: {
		value: "0.25rem"
	},
	normal: {
		value: "0.25rem"
	},
	large: {
		value: "0.75rem"
	},
	"x-large": {
		value: "1rem"
	},
	rounded: {
		value: "9999px"
	}
};
const shadow = {
	none: {
		value: "none"
	},
	normal: {
		value: "0 0 10px 0 rgba(0, 7, 57, 0.15)"
	},
	large: {
		value: "0 0 30px 0 rgba(0, 7, 57, 0.15)"
	}
};
const spacing = {
	"0": {
		legacy: "0",
		mobile: "0",
		tablet: "0",
		desktop: "0",
		alias: "none"
	},
	"1": {
		legacy: "1",
		mobile: "0.25rem",
		tablet: "0.25rem",
		desktop: "0.25rem",
		alias: "xx-small"
	},
	"2": {
		legacy: "2",
		mobile: "0.5rem",
		tablet: "0.5rem",
		desktop: "0.5rem",
		alias: "x-small"
	},
	"3": {
		legacy: "3",
		mobile: "0.75rem",
		tablet: "0.75rem",
		desktop: "0.75rem",
		alias: "small"
	},
	"4": {
		legacy: "4",
		mobile: "1rem",
		tablet: "1rem",
		desktop: "1rem",
		alias: "normal"
	},
	"5": {
		legacy: "5",
		mobile: "1.25rem",
		tablet: "1.25rem",
		desktop: "1.5rem",
		alias: "medium"
	},
	"6": {
		legacy: "6",
		mobile: "1.5rem",
		tablet: "1.5rem",
		desktop: "2rem",
		alias: "large"
	},
	"7": {
		legacy: "7",
		mobile: "2rem",
		tablet: "2.5rem",
		desktop: "3rem",
		alias: "x-large"
	},
	"8": {
		legacy: "8",
		mobile: "3rem",
		tablet: "3.5rem",
		desktop: "4rem",
		alias: "xx-large"
	},
	"9": {
		legacy: "9",
		mobile: "3.5rem",
		tablet: "4.5rem",
		desktop: "6rem",
		alias: "xxx-large"
	},
	"10": {
		legacy: "10",
		mobile: "4rem",
		tablet: "6rem",
		desktop: "8rem",
		alias: "xxxx-large"
	},
	auto: {
		legacy: "auto",
		mobile: "auto",
		tablet: "auto",
		desktop: "auto"
	},
	none: {
		legacy: "0",
		mobile: "0",
		tablet: "0",
		desktop: "0"
	},
	"xx-small": {
		legacy: "1",
		mobile: "0.25rem",
		tablet: "0.25rem",
		desktop: "0.25rem"
	},
	"x-small": {
		legacy: "2",
		mobile: "0.5rem",
		tablet: "0.5rem",
		desktop: "0.5rem"
	},
	small: {
		legacy: "3",
		mobile: "0.75rem",
		tablet: "0.75rem",
		desktop: "0.75rem"
	},
	normal: {
		legacy: "4",
		mobile: "1rem",
		tablet: "1rem",
		desktop: "1rem"
	},
	medium: {
		legacy: "5",
		mobile: "1.25rem",
		tablet: "1.25rem",
		desktop: "1.5rem"
	},
	large: {
		legacy: "6",
		mobile: "1.5rem",
		tablet: "1.5rem",
		desktop: "2rem"
	},
	"x-large": {
		legacy: "7",
		mobile: "2rem",
		tablet: "2.5rem",
		desktop: "3rem"
	},
	"xx-large": {
		legacy: "8",
		mobile: "3rem",
		tablet: "3.5rem",
		desktop: "4rem"
	},
	"xxx-large": {
		legacy: "9",
		mobile: "3.5rem",
		tablet: "4.5rem",
		desktop: "6rem"
	},
	"xxxx-large": {
		legacy: "10",
		mobile: "4rem",
		tablet: "6rem",
		desktop: "8rem"
	}
};
const typography = {
	familyTitle: "BaloiseCreateHeadline, Arial, sans-serif",
	familyText: "BaloiseCreateText, Arial, sans-serif",
	weights: {
		bold: "700",
		regular: "400",
		light: "300"
	},
	sizes: {
		"1": {
			figmaName: "h1",
			description: "Should only be used for stage titles and headings of level 1.",
			mobile: {
				fontSize: "1.75rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "2.5rem",
				lineHeight: "3rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "2.5rem",
				lineHeight: "3rem",
				spacing: "2"
			},
			alias: "xxx-large"
		},
		"2": {
			figmaName: "h2",
			description: "Should only be used for content titles and headings of level 2.",
			mobile: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			},
			alias: "xx-large"
		},
		"3": {
			figmaName: "h3",
			description: "Should only be used for form titles, quick link navigation's and headings of level 3.",
			mobile: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			alias: "x-large"
		},
		"4": {
			figmaName: "h4 / lead-text",
			description: "Should only be used for standard card titles and headings of level 4 or for lead text/paragraphs after a heading",
			mobile: {
				fontSize: "1.125rem",
				lineHeight: "1.5rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			alias: "large"
		},
		"5": {
			figmaName: "normal",
			description: "Should only be used for body texts and heading of level 5.",
			mobile: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			},
			alias: "normal"
		},
		"6": {
			figmaName: "small-text",
			description: "Should only be used for label texts.",
			mobile: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			},
			alias: "small"
		},
		"7": {
			figmaName: "x-small-text",
			description: "Should only be used for helper texts or validation messages of a form control.",
			mobile: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			},
			alias: "x-small"
		},
		"xxxxx-large": {
			figmaName: "display",
			description: "Should only be uses to illustrate large stage areas.",
			mobile: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "4"
			},
			tablet: {
				fontSize: "5rem",
				lineHeight: "6rem",
				spacing: "4"
			},
			desktop: {
				fontSize: "5rem",
				lineHeight: "6rem",
				spacing: "4"
			}
		},
		"xxxx-large": {
			figmaName: "display-2",
			description: "Should only be uses to illustrate large stage areas.",
			mobile: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "2"
			}
		},
		"xxx-large": {
			figmaName: "h1",
			description: "Should only be used for stage titles and headings of level 1.",
			mobile: {
				fontSize: "1.75rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "2.5rem",
				lineHeight: "3rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "2.5rem",
				lineHeight: "3rem",
				spacing: "2"
			}
		},
		"xx-large": {
			figmaName: "h2",
			description: "Should only be used for content titles and headings of level 2.",
			mobile: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			}
		},
		"x-large": {
			figmaName: "h3",
			description: "Should only be used for form titles, quick link navigation's and headings of level 3.",
			mobile: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "1.5rem",
				lineHeight: "2rem",
				spacing: "2"
			}
		},
		large: {
			figmaName: "h4 / lead-text",
			description: "Should only be used for standard card titles and headings of level 4 or for lead text/paragraphs after a heading",
			mobile: {
				fontSize: "1.125rem",
				lineHeight: "1.5rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "1.25rem",
				lineHeight: "2rem",
				spacing: "2"
			}
		},
		medium: {
			figmaName: "block-text",
			description: "Should only be used in a 2/3 grid column to improve readability.",
			mobile: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "1.125rem",
				lineHeight: "1.625rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "1.125rem",
				lineHeight: "1.625rem",
				spacing: "2"
			}
		},
		normal: {
			figmaName: "normal",
			description: "Should only be used for body texts and heading of level 5.",
			mobile: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "1rem",
				lineHeight: "1.5rem",
				spacing: "1"
			}
		},
		small: {
			figmaName: "small-text",
			description: "Should only be used for label texts.",
			mobile: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "0.875rem",
				lineHeight: "1.125rem",
				spacing: "1"
			}
		},
		"x-small": {
			figmaName: "x-small-text",
			description: "Should only be used for helper texts or validation messages of a form control.",
			mobile: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			},
			tablet: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			},
			desktop: {
				fontSize: "0.75rem",
				lineHeight: "1rem",
				spacing: "1"
			}
		},
		display: {
			figmaName: "display",
			description: "Should only be uses to illustrate large stage areas.",
			mobile: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "4"
			},
			tablet: {
				fontSize: "5rem",
				lineHeight: "6rem",
				spacing: "4"
			},
			desktop: {
				fontSize: "5rem",
				lineHeight: "6rem",
				spacing: "4"
			},
			alias: "xxxxx-large"
		},
		"display-2": {
			figmaName: "display-2",
			description: "Should only be uses to illustrate large stage areas.",
			mobile: {
				fontSize: "2rem",
				lineHeight: "2.5rem",
				spacing: "2"
			},
			tablet: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "2"
			},
			desktop: {
				fontSize: "3rem",
				lineHeight: "3.5rem",
				spacing: "2"
			},
			alias: "xxxx-large"
		}
	},
	colors: {
		primary: "primary",
		blue: "blue",
		black: "black",
		normal: "blue",
		"light-blue": "light-blue-5",
		hover: "light-blue-5",
		"blue-dark": "blue-6",
		active: "blue-6",
		white: "white",
		"blue-light": "blue-3",
		hint: "primary-3",
		help: "primary-3",
		success: "success-4",
		valid: "success-4",
		danger: "danger-4",
		invalid: "danger-4",
		warning: "warning-5",
		grey: "grey-5",
		disabled: "grey-5"
	}
};
const grid = {
	gap: "1rem"
};
const border = {
	width: "2px",
	colors: {
		primary: "primary",
		active: "primary",
		normal: "grey-3",
		hover: "grey-4",
		disabled: "grey-4",
		warning: "warning-5",
		success: "success-4",
		danger: "danger-4",
		valid: "success-4",
		invalid: "danger-4"
	}
};
const tokens = {
	color: color,
	breakpoint: breakpoint,
	container: container,
	radius: radius,
	shadow: shadow,
	spacing: spacing,
	typography: typography,
	grid: grid,
	border: border
};

export { tokens as t };
