import { EventEmitter } from '../../stencil-public-runtime';
import { Events } from '../../types';
export declare class Accordion {
  private didInit;
  /**
   * If `true` the accordion is open.
   */
  value: boolean;
  protected valueChanged(newValue: boolean, oldValue: boolean): Promise<void>;
  /**
   * Set the amount of time, in milliseconds, to wait to trigger the `balChange` event after each keystroke. This also impacts form bindings such as `ngModel` or `v-model`.
   */
  debounce: number;
  protected debounceChanged(): void;
  /**
   * Label of the open trigger button
   */
  openLabel: string;
  /**
   * BalIcon of the open trigger button
   */
  openIcon: string;
  /**
   * Label of the close trigger button
   */
  closeLabel: string;
  /**
   * BalIcon of the close trigger button
   */
  closeIcon: string;
  /**
   * If `true` the accordion is used on the bottom of a card
   */
  card: boolean;
  /**
   * Emitted when the accordion has opened or closed
   */
  balChange: EventEmitter<Events.BalAccordionChangeDetail>;
  connectedCallback(): void;
  componentDidLoad(): void;
  /**
   * Opens the accordion
   */
  present(): Promise<void>;
  /**
   * Closes the accordion
   */
  dismiss(): Promise<void>;
  /**
   * Triggers the accordion
   */
  toggle(): Promise<void>;
  get label(): string;
  get icon(): string;
  render(): any;
}
