import { ComponentInterface } from '../../stencil-public-runtime';
import { Props } from '../../types';
export declare class Badge implements ComponentInterface {
  el: HTMLElement;
  /**
   * Name of the icon to show. If a icon is present text should be hidden.
   */
  icon?: string;
  /**
   * Define the size of badge. Small is recommended for tabs.
   */
  size: Props.BalBadgeSize;
  /**
   * Define the alert color for the badge.
   */
  color: Props.BalBadgeColor;
  /**
   * If `true` the badge is added to the top right corner of the card.
   */
  position: Props.BalBadgePosition;
  render(): any;
}
