import { Props } from '../../../types';
export declare class CardButton {
  /**
   * Name of the icon like `edit`.
   */
  icon: string;
  /**
   * The type of button.
   */
  elementType: Props.BalCardButtonElementType;
  /**
   * If `true`, the user cannot interact with the button.
   */
  disabled: boolean;
  /**
   * Specifies the URL of the page the link goes to
   */
  href?: string;
  /**
   * Specifies where to display the linked URL.
   * Only applies when an `href` is provided.
   */
  target: Props.BalCardButtonTarget;
  /**
   * Name of the right button icon
   */
  iconRight: string;
  /**
   * If `true` the label is hidden and a loading spinner is shown instead.
   */
  loading: boolean;
  render(): any;
}
