import { Props } from '../../types';
export declare class BalCard {
  /**
   * If `true` a light blue border is added to the card.
   */
  border: boolean;
  /**
   * If `true` the card loses its shadow.
   */
  flat: boolean;
  /**
   * If `true` the card loses its border radius.
   */
  square: boolean;
  /**
   * If `true` the card background color becomes blue.
   */
  inverted: boolean;
  /**
   * If `true` the card has a hover effect.
   */
  clickable: boolean;
  /**
   * If `true` the card gets a light background to indicate a selection.
   */
  selected: boolean;
  /**
   * If `true` the card uses 100% of the available height.
   */
  fullheight: boolean;
  /**
   * Defines the space of the card content.
   */
  space: Props.BalCardSpace;
  /**
   * Defines the color of the card.
   */
  color: Props.BalCardColor;
  get colorTypeClass(): string;
  render(): any;
}
