import { FooterLink } from '@baloise/web-app-utils';
import { BalConfigObserver, BalConfigState, BalLanguage, BalRegion } from '../../config';
export declare class Footer implements BalConfigObserver {
  links: FooterLink[];
  language: BalLanguage;
  region: BalRegion;
  allowedLanguages: BalLanguage[];
  /**
   * @deprecated The languages in which the links will appear.
   */
  locale: 'en' | 'de' | 'fr' | 'it' | '';
  /**
   * If `true` the legal Baloise links will be hidden.
   */
  hideLinks: boolean;
  /**
   * If `true` the language selection will be hidden.
   */
  hideLanguageSelection: boolean;
  disconnectedCallback(): void;
  connectedCallback(): void;
  configChanged(config: BalConfigState): void;
  watchLocaleHandler(): void;
  changeLanguage(language: BalLanguage): void;
  updateFooterLinks(): void;
  render(): any;
}
