import { Props } from '../../types';
export declare class Heading {
  /**
   * The actual heading level used in the HTML markup.
   */
  level: Props.BalHeadingLevel;
  /**
   * Make the visual style mimic a specific heading level.
   * This option allows you to make e.g. h1 visually look like h3,
   * but still keep it h1 in the markup.
   */
  visualLevel?: Props.BalHeadingLevel;
  /**
   * If `true` the heading gets displayed slimmer.
   */
  subtitle: boolean;
  /**
   * Defines at which position the heading has spacing.
   */
  space: 'none' | 'bottom' | 'top' | 'all';
  /**
   * The theme type of the toast. Given by bulma our css framework.
   */
  color: Props.BalHeadingColor;
  /**
   * If `true` the color gets inverted for dark backgrounds
   */
  inverted: boolean;
  /**
   * If `true` adds a text shadow to improve readability on image background
   * */
  shadow: boolean;
  get fontSize(): string;
  get fontColor(): string;
  margins(spacingLevel: number): string;
  get spacing(): string;
  render(): any;
}
