import { BalConfigObserver, BalConfigState } from '../../config';
export declare class Hint implements BalConfigObserver {
  element: HTMLElement;
  private popoverElement;
  private slotWrapperEl?;
  private hintContentEl?;
  private bodyScrollBlocker;
  isActive: boolean;
  innerCloseLabel: string;
  isMobile: boolean;
  /**
   * Text for the close button.
   */
  closeLabel?: string;
  /**
   * Disables the close button for tablet and desktop
   */
  small: boolean;
  resizeHandler(): Promise<void>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  componentDidRender(): void;
  configChanged(state: BalConfigState): void;
  /**
   * Toggles the hint box.
   */
  toggle(): Promise<void>;
  /**
   * Opens the hint box.
   */
  present(): Promise<void>;
  /**
   * Closes the hint box.
   */
  dismiss(): Promise<void>;
  private onPopoverChange;
  private updateContent;
  render(): any;
}
