import { Props } from '../../types';
export declare class Icon {
  /**
   * Name of the baloise icon.
   */
  name: string;
  /**
   * Svg content.
   */
  svg: string;
  /**
   * Defines the size of the icon.
   */
  size: Props.BalIconSize;
  /**
   * The theme type of the button. Given by bulma our css framework.
   */
  color: Props.BalIconColor;
  /**
   * If `true` the icon has display inline style
   */
  inline: boolean;
  /**
   * If `true` the icon is inverted
   */
  inverted: boolean;
  /**
   * If `true` the icon is rotated 180deg
   */
  turn: boolean;
  /**
   * If `true` adds a box shadow to improve readability on image background
   * */
  shadow: boolean;
  private get svgContent();
  render(): any;
}
