import { Props } from '../../../types';
export declare class ListItemAccordionBody {
  el: HTMLElement;
  contentHeight: string;
  /**
   * If `true` the body will be open and visible
   */
  open: boolean;
  /**
   * Synchronizes the height of the accordion to max of all
   * the other grouped accordion bodies
   */
  accordionGroup?: string;
  /**
   * Sets justify-content of the items to start, center, end, or space-between. Default is start.
   */
  contentAlignment: Props.BalListContentSpacing;
  resizeHandler(): Promise<void>;
  componentDidRender(): void;
  getContentHeight(): Promise<number>;
  getAccordionGroupItems(): HTMLBalListItemAccordionBodyElement[];
  setContentHeight(height: number): void;
  get areWeInAGroup(): boolean;
  calcContentHeight(): Promise<void>;
  render(): any;
}
