import { EventEmitter } from '../../../stencil-public-runtime';
import { Props } from '../../../types';
export declare class ListItem {
  el: HTMLElement;
  /**
   * If `true` the list item can be hovered
   */
  disabled: boolean;
  /**
   * If `true` the list item shows that it is clickable
   */
  clickable: boolean;
  /**
   * If `true` the list item has a selected theme
   */
  selected: boolean;
  /**
   * If `true` the list item can be used as a accordion
   */
  accordion: boolean;
  /**
   * If `true` the list item can be used as an accordion inside another accordion
   */
  subAccordionItem: boolean;
  /**
   * Specifies the URL of the page the link goes to
   */
  href: string;
  /**
   * Specifies where to open the linked document
   */
  target: Props.BalListItemTarget;
  /**
   * Emitted when the link element has clicked
   */
  balNavigate: EventEmitter<MouseEvent>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  findAccordionHead(): any | null;
  findAccordionBody(): any | null;
  updateState(isAccordionOpen: boolean): void;
  render(): any;
}
