import { EventEmitter } from '../../../stencil-public-runtime';
import { Props } from '../../../types';
export declare class NavbarBrand {
  el: HTMLElement;
  isMenuActive: boolean;
  /**
   * Link of the logo / title.
   */
  href?: string;
  /**
   * Link target
   */
  linkTarget: string;
  /**
   * @deprecated Use interface on bal-navbar instead.
   * If `true` the navbar does not have a mobil version. Only shows logo and an app title.
   */
  simple: boolean;
  /**
   * Src to display a logo -> replaces the default Baloise Logo
   */
  logo?: string;
  /**
   * @internal
   * Defines the type of navbar. App is used for almost every web applications
   * like the portal app. For our sales funnel we recommend to use the simple navbar.
   * Meta and main are used for the website.
   */
  interface: Props.BalNavbarInterface;
  /**
   * Emitted when the link element has clicked
   */
  balNavigate: EventEmitter<MouseEvent>;
  componentWillLoad(): void;
  resetIsMenuActive(ev: MediaQueryListEvent): Promise<void>;
  toggle(isMenuActive: boolean): Promise<void>;
  onClick(): Promise<void>;
  render(): any;
}
