import { ComponentInterface } from '../../../stencil-public-runtime';
import { Props } from '../../../types';
export declare class NavigationPopover implements ComponentInterface {
  isActive: boolean;
  /**
   * Defines the label of the button
   */
  label: string;
  /**
   * Turns the trigger button to inverted style.
   */
  inverted: boolean;
  /**
   * Defines the icon of the trigger button.
   */
  icon?: string;
  /**
   * If `true` a backdrop is added
   */
  backdrop: boolean;
  /**
   * Defines the size of the button
   */
  size: Props.BalButtonSize;
  /**
   * Color style of the button when the popover is closed.
   */
  inactiveColor: Props.BalButtonColor;
  /**
   * Color style of the button when the popover is open.
   */
  activeColor: Props.BalButtonColor;
  /**
   * Defines the heading of the popover
   */
  heading?: string;
  /**
   * If 'false', the closing button is not displayed
   */
  closable: boolean;
  /**
   * Defines border-radius of popover content.
   */
  contentRadius: Props.BalPopoverContentRadius;
  /**
   * Define the position of the popover content.
   */
  position: Props.BalPopoverPlacement;
  /**
   * Define the max width of the popover content.
   */
  contentWidth: number;
  /**
   * Define the min width of the popover content.
   */
  contentMinWidth: number;
  /**
   * Define the offset of the popover content.
   */
  offsetY: number;
  /**
   * If `true` the width of the buttons is limited
   */
  square: boolean;
  /**
   * If `true` the popover does not have the shadow
   */
  contentNoShadow: boolean;
  /**
   * If `true` the content has a min width of 100%.
   */
  contentExpanded: boolean;
  /**
   * If `true` a little arrow is added, which points to the trigger element
   */
  arrow: boolean;
  /**
   * If `true` its content will have a divider line on top
   */
  mobileTop: boolean;
  private scrollToTopTimer?;
  private setActiveTimer?;
  private clearTimeouts;
  private toggle;
  render(): any;
}
