import { ComponentInterface } from '../../stencil-public-runtime';
import { LevelInfo } from './utils/level.utils';
import { Events } from '../../types';
export declare class Navigation implements ComponentInterface {
  el: HTMLElement;
  private mutationO?;
  private mainNavElement?;
  private previousY;
  private bodyScrollBlocker;
  mainMobileHeight: string;
  isMetaHidden: boolean;
  levels: LevelInfo[];
  selectedMetaIndex: number;
  selectedMainIndex: number;
  isMainBodyOpen: boolean;
  selectedMetaValue?: string | undefined;
  selectedMainValue?: string | undefined;
  isTouch: boolean;
  /**
   * Defines if the animation should be active
   */
  logoAnimated: boolean;
  /**
   * Path to the logo-image
   */
  logoPath: string;
  /**
   * Aria label for the meta-navigation-wrapper
   */
  ariaLabelMeta: string;
  /**
   * Aria label for the main-navigation-wrapper
   */
  ariaLabelMain: string;
  /**
   * Defines the initially active meta-navigation-item
   */
  metaValue?: string;
  clickOnOutside(event: UIEvent): Promise<void>;
  private get metaMobileActionsElement();
  private get metaDesktopEndElement();
  resizeHandler(): Promise<void>;
  orientationHandler(): Promise<void>;
  handleScroll(_event: Event): void;
  connectedCallback(): Promise<void>;
  disconnectedCallback(): void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  bodyOffset: number;
  private listenToPopoverChangeEvent;
  private updateIndexes;
  private readSubLevels;
  private getMaxHeight;
  private dismissPopover;
  private onBurgerButtonClick;
  private closeOtherAccordionsTimer?;
  private onAccordionClick;
  onMainTabChange: (event: Events.BalTabsChange) => void;
  render(): any;
}
