import { EventEmitter } from '../../stencil-public-runtime';
import { Props } from '../../types';
export declare class Pagination {
  el: HTMLBalPaginationElement;
  _value: number;
  /**
   * Defines the layout of the pagination
   */
  interface: Props.BalPaginationInterface;
  /**
   * Disables component
   */
  disabled: boolean;
  /**
   * Current selected page
   */
  value: number;
  valueChanged(newValue: number): void;
  /**
   * The total amount of pages
   */
  totalPages: number;
  /**
   * Specify the max visible pages before and after the selected page
   */
  pageRange: number;
  /**
   * List of tabs names for 'tabs' interface
   */
  tabsNames: string[];
  /**
   * If 'true, the pagination will be sticky to the top
   */
  sticky: boolean;
  /**
   * If sticky, the top position will be determined by this value
   */
  top: number;
  topValueChanged(newValue: number): void;
  /**
   * Triggers when a page change happens
   */
  balChangeEventEmitter: EventEmitter<number>;
  componentWillLoad(): void;
  /**
   * Go to the next page
   */
  next(): Promise<void>;
  /**
   * Go to the previous page
   */
  previous(): Promise<void>;
  selectPage(pageNumber: number): void;
  renderEllipsisElement(): any;
  renderPageElement(pageNumber: number): any;
  private getItems;
  render(): any;
}
