import { Props } from '../../../types';
export declare class PopoverContent {
  el: HTMLElement;
  /**
   * If `true` the popover has no padding space.
   */
  spaceless: boolean;
  /**
   * Limit the height of the popover content. Pass the amount of pixel.
   */
  scrollable: number;
  /**
   * Define the max width of the popover content.
   */
  contentWidth: number;
  /**
   * Define the min width of the popover content.
   */
  contentMinWidth: number;
  /**
   * Defines background color of the content.
   */
  color: Props.BalPopoverContentColor;
  /**
   * If `true` the content has a min width of 100%.
   */
  expanded: boolean;
  /**
   * Defines border-radius of popover content.
   */
  radius: Props.BalPopoverContentRadius;
  /**
   * If `true` the popover does not have the shadow
   */
  noShadow: boolean;
  /**
   * If `true` the content will have a divider line on top
   */
  mobileTop: boolean;
  contentHeightOnTop: number;
  resizeHandler(): Promise<void>;
  get innerStyle(): {};
  get contentStyle(): {
    '--bal-popover-content-height-top-nav': string;
  };
  componentDidLoad(): void;
  render(): any;
}
