import { ComponentInterface } from '../../stencil-public-runtime';
import { Props } from '../../types';
export declare class Stage implements ComponentInterface {
  /**
   * Defines content width of the stage
   */
  containerSize: Props.BalStageContainer;
  /**
   * Defines size of the stage
   */
  size: Props.BalStageSize;
  /**
   * Defines the background color of the stage section
   */
  color: Props.BalStageColor;
  /**
   * If true the Baloise Shape is set
   */
  shape: boolean;
  /**
   * @deprecated If true the Baloise Shape is set
   */
  hasShape: boolean;
  hasShapeHandler(): void;
  private migrateHasShape;
  /**
   * Shape Variation
   */
  shapeVariation?: Props.BalShapeVariation;
  /**
   * Shape Rotation
   */
  shapeRotation?: Props.BalShapeRotation;
  /**
   * sets text color to white for images and dark backgrounds (optional)
   */
  inverted?: boolean;
  getContainerWidth: () => "680px" | "832px" | "920px" | "100vw" | "1400px";
  connectedCallback(): void;
  private get containerClass();
  render(): any;
}
