import { EventEmitter } from '../../stencil-public-runtime';
import { Props, Events } from '../../types';
export declare class Tag {
  el: HTMLElement;
  private inheritedAttributes;
  private inheritedAttributesClose;
  /**
   * The theme type of the tag. Given by bulma our css framework.
   */
  color: Props.BalTagColor;
  /**
   * The size of the tag element
   */
  size: Props.BalTagSize;
  /**
   * The theme type of the tag. Given by bulma our css framework.
   */
  closable: boolean;
  /**
   * Overwrites the default color to invalid style
   */
  invalid: boolean;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled: boolean;
  /**
   * Choosing left or center the tag is aligned to that side in the bal-card.
   */
  position: Props.BalTagPlacement;
  /**
   * If `true` a light version of the color is displayed
   */
  light: boolean;
  /**
   * @deprecated
   * @internal
   * Sets background color to transparent
   */
  transparent: boolean;
  /**
   * Emitted when the input got clicked.
   */
  balCloseClick: EventEmitter<Events.BalTagCloseClickDetail>;
  componentWillLoad(): void;
  render(): any;
}
