import { Props } from '../../types';
export declare class Text {
  /**
   * Defines the size of the paragraph
   */
  size: Props.BalTextSize;
  /**
   * If `true` the text has heading font family
   */
  heading: boolean;
  /**
   * If `true` the text is bold
   */
  bold: boolean;
  /**
   * If `true` the text is shown as a display inline
   */
  inline: boolean;
  /**
   * Defines the color of the text.
   */
  color: Props.BalTextColor;
  /**
   * Defines at which position the heading has spacing.
   */
  space: Props.BalTextSpace;
  /**
   * If `true` the color gets inverted for dark backgrounds
   */
  inverted: boolean;
  /**
   * If `true` adds a text shadow to improve readability on image background
   * */
  shadow: boolean;
  get spacing(): string;
  render(): any;
}
