import { ComponentInterface, EventEmitter } from '../../../../stencil-public-runtime';
import { Props, Events } from '../../../../types';
export declare class CheckboxGroup implements ComponentInterface {
  private inputId;
  private inheritedAttributes;
  el: HTMLElement;
  /**
   * Defines the layout of the checkbox button
   */
  interface?: Props.BalCheckboxGroupInterface;
  /**
   * If `true` it acts as the main form control
   */
  control: boolean;
  /**
   * The name of the control, which is submitted with the form data.
   */
  name: string;
  /**
   * Displays the checkboxes vertically
   */
  vertical: boolean;
  /**
   * If `true`, the controls will be vertically on mobile devices.
   */
  verticalOnMobile: boolean;
  /**
   * Uses the whole width
   */
  expanded: boolean;
  /**
   * If `true`, the user cannot interact with the checkboxes.
   */
  disabled?: boolean;
  disabledChanged(value: boolean | undefined): void;
  /**
   * If `true`, the user cannot interact with the checkboxes.
   */
  readonly?: boolean;
  readonlyChanged(value: boolean | undefined): void;
  /**
   * The value of the control.
   */
  value: any[];
  valueChanged(_value: any[], oldValue: any[]): void;
  /**
   * Emitted when the checked property has changed.
   */
  balChange: EventEmitter<Events.BalCheckboxGroupChangeDetail>;
  listenOnClick(ev: UIEvent): void;
  resetHandler(event: UIEvent): void;
  componentWillLoad(): void;
  private get children();
  /** @internal */
  setValue(value: any[]): Promise<void>;
  private sync;
  private onClick;
  render(): any;
}
