import { BalConfigObserver } from '../../../../config';
import { Props } from '../../../../types';
import { BalConfigState, BalLanguage, BalRegion } from '../../../../config';
export declare class FieldLabel implements BalConfigObserver {
  element: HTMLElement;
  parentBalFieldElement: HTMLBalFieldElement | null;
  language: BalLanguage;
  region: BalRegion;
  /**
   * If `true` the component gets a invalid red style.
   */
  invalid: boolean;
  /**
   * If `true` the form control needs to be filled. If it is set to
   * `false` an optional label is added to the label..
   */
  required: boolean;
  /**
   * If `true` the component gets a valid green style.
   */
  valid: boolean;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled: boolean;
  /**
   * If `true` the element can not mutated, meaning the user can not edit the control.
   */
  readonly: boolean;
  /**
   * If `true` the component gets a invalid style.
   */
  weight: Props.BalFieldLabelWeight;
  connectedCallback(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  configChanged(config: BalConfigState): void;
  render(): any;
}
