import { Props } from '../../../../types';
export declare class FieldMessage {
  /**
   * Defines the color of the message.
   */
  color: Props.BalFieldMessageColor;
  /**
   * If `true` the component gets a invalid red style.
   */
  invalid: boolean;
  /**
   * If `true` the component gets a valid green style.
   */
  valid: boolean;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled: boolean;
  /**
   * If `true` the element can not mutated, meaning the user can not edit the control.
   */
  readonly: boolean;
  render(): any;
}
