export declare class Field {
  el: HTMLElement;
  private mutationO?;
  private formControlElement;
  private inputElements;
  private formElements;
  /**
   * If `true` the form control needs to be filled. If it is set to
   * `false` an optional label is added to the label..
   */
  required?: boolean;
  requiredHandler(): void;
  /**
   * If `true` the component gets a invalid red style.
   */
  invalid?: boolean;
  invalidHandler(): void;
  /**
   * If `true` the component gets a valid green style.
   */
  valid: boolean;
  validHandler(): void;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled?: boolean;
  disabledHandler(): void;
  /**
   * If `true` the element can not mutated, meaning the user can not edit the control.
   */
  readonly?: boolean;
  readonlyHandler(): void;
  /**
   * If `true` a loading spinner is visible at the end of the input
   */
  loading?: boolean;
  loadingHandler(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  private triggerAllHandlers;
  private updateProps;
  private notifyComponents;
  render(): any;
}
