import { EventEmitter, ComponentInterface } from '../../../../stencil-public-runtime';
import { Props, Events } from '../../../../types';
export declare class RadioGroup implements ComponentInterface {
  private inputId;
  private inheritedAttributes;
  private initialValue;
  el: HTMLElement;
  /**
   * Defines the layout of the radio button
   */
  interface?: Props.BalRadioGroupInterface;
  /**
   * The name of the control, which is submitted with the form data.
   */
  name: string;
  /**
   * Displays the checkboxes vertically
   */
  vertical: boolean;
  /**
   * If `true`, the controls will be vertically on mobile devices.
   */
  verticalOnMobile: boolean;
  /**
   * Uses the whole width
   */
  expanded: boolean;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled?: boolean;
  disabledChanged(value: boolean | undefined): void;
  /**
   * If `true` the element can not mutated, meaning the user can not edit the control.
   */
  readonly?: boolean;
  readonlyChanged(value: boolean | undefined): void;
  /**
   * The value of the control.
   */
  value: number | string | boolean;
  valueChanged(value: number | string | boolean, oldValue: number | string | boolean): void;
  /**
   * Emitted when the checked property has changed.
   */
  balChange: EventEmitter<Events.BalRadioGroupChangeDetail>;
  listenOnClick(ev: UIEvent): void;
  resetHandler(event: UIEvent): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  private get children();
  /** @internal */
  setValue(value: number | string | boolean): Promise<void>;
  private sync;
  private onClick;
  render(): any;
}
