/// <reference types="node" />
import { EventEmitter } from '../../../stencil-public-runtime';
import { Props } from '../../../types';
export declare class Toast {
  element: HTMLBalToastElement;
  timer: NodeJS.Timer;
  toastId: string;
  /**
   * The theme type of the toast. Given by bulma our css framework.
   * Color type primary is deprecated, please use info instead.
   */
  color: Props.BalTostColor;
  /**
   * The duration of the toast in milliseconds.
   */
  duration: number;
  /**
   * Content message
   */
  message: string;
  /**
   * @internal Handler for on close event
   */
  closeHandler: () => void;
  /**
   * Emitted when toast is closed
   */
  balClose: EventEmitter<string>;
  componentWillLoad(): Promise<void>;
  /**
   * Closes the toast after the given duration in ms
   */
  closeIn(duration: number): Promise<void>;
  /**
   * Closes this toast
   */
  close(): Promise<void>;
  get colorType(): string;
  render(): any;
}
