import { BalConfig, BalLanguage, BalRegion } from './config.types';
import { BalConfigObserver } from './observable/observer';
export declare class Config {
  private _componentObservers;
  private _observers;
  private _config;
  get locale(): string;
  get region(): BalRegion;
  set region(region: BalRegion);
  get language(): BalLanguage;
  set language(language: BalLanguage);
  get allowedLanguages(): BalLanguage[];
  set allowedLanguages(allowedLanguages: BalLanguage[]);
  attach(observer: BalConfigObserver): void;
  detach(observer: BalConfigObserver): void;
  attachComponent(observer: BalConfigObserver): void;
  detachComponent(observer: BalConfigObserver): void;
  toString(): string;
  reset(config: BalConfig): void;
  private _notify;
}
export declare const config: Config;
export declare const configFromSession: (win: Window) => any;
export declare const saveConfig: (win: Window, c: any) => void;
