import { HTMLStencilElement } from '../stencil-public-runtime';
import { Props } from '../types';
export interface BalNoticeOptions {
  message: string;
  duration?: number;
  color?: Props.BalNotificationColor | '';
  closeHandler?: () => void;
}
export interface NoticeOptions {
  tag: string;
}
export interface HTMLNoticeElement extends HTMLStencilElement {
  message: string;
  color: string;
  close: () => Promise<void>;
}
export declare abstract class BalNoticeController {
  private options;
  private container;
  private queue;
  private preQueue;
  private queueLimit;
  constructor(options: NoticeOptions);
  create(options: BalNoticeOptions): any;
  setQueue(queueLimit: number): void;
  dismissAll(): Promise<void>;
  /**
   * @deprecated use dismissAll instead
   */
  clearAll(): Promise<void>;
  private findClone;
  private setupContainer;
  private updateQueue;
  private removeFromQueue;
}
