export declare type Platforms = keyof typeof PLATFORMS_MAP;
interface IsPlatformSignature {
  (plt: Platforms): boolean;
  (win: Window, plt: Platforms): boolean;
}
export interface PlatformSrcSet {
  mobile?: string;
  tablet?: string;
  touch?: string;
  desktop?: string;
  highDefinition?: string;
  widescreen?: string;
  fullhd?: string;
}
export declare const getPlatforms: (win?: any) => ("mobile" | "tablet" | "touch" | "desktop" | "highDefinition" | "widescreen" | "fullhd")[];
export declare const isPlatform: IsPlatformSignature;
export declare const setupPlatforms: (win?: any) => ("mobile" | "tablet" | "touch" | "desktop" | "highDefinition" | "widescreen" | "fullhd")[];
declare const PLATFORMS_MAP: {
  mobile: (win: Window) => boolean;
  tablet: (win: Window) => boolean;
  touch: (win: Window) => boolean;
  desktop: (win: Window) => boolean;
  highDefinition: (win: Window) => boolean;
  widescreen: (win: Window) => boolean;
  fullhd: (win: Window) => boolean;
};
export {};
